<?php

/**
 * Fired during plugin activation
 *
 * @link       http://preventdirectaccess.com/
 * @since      1.0.0
 *
 * @package    Pda_Contact_Forms
 * @subpackage Pda_Contact_Forms/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Pda_Contact_Forms
 * @subpackage Pda_Contact_Forms/includes
 * @author     BWPS <hello@preventdirectaccess.com>
 */
class Pda_Contact_Forms_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate($plugin_basename) {
        if ( Yme_Plugin_Utils::is_plugin_activated('pda_gold') !== -1 && Yme_Plugin_Utils::is_plugin_activated('pda_v3') !== -1 ) {
            deactivate_plugins( $plugin_basename );
            wp_die( YME_MESSAGES::$PDA['PDA_NEVER_PURCHASED'] );
        }

        $isValidPurcharsed = Pda_Contact_Forms_Utils::IsValidPurchased();

        if ( !$isValidPurcharsed ) {
            deactivate_plugins( $plugin_basename );
            wp_die( YME_MESSAGES::$PDA['PDA_ADDON_STOLEN'] );
        }

    }

}
