<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://preventdirectaccess.com/
 * @since      1.0.0
 *
 * @package    Pda_Contact_Forms
 * @subpackage Pda_Contact_Forms/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Pda_Contact_Forms
 * @subpackage Pda_Contact_Forms/includes
 * @author     BWPS <hello@preventdirectaccess.com>
 */
class Pda_Contact_Forms_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'pda-contact-forms',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
