(function(window, $) {

    var privateFileBtn = 'pgl-private-link';
    var informUploadedFile = 'pgl-uploaded-file';
    var attachedFile = {};
    var pml_global = {};

    tinymce.create('tinymce.plugins.magiclink', {
       init: function (ed, url) {
           ed.addButton('magiclink', {
               title: 'Insert magic link',
               image: url + '/magic-link.jpg',
               onclick: function () {
                   ed.windowManager.open({
                       title: 'Insert a private link',
                       width: 500,
                       height: 200,
                       body: [ {
                           type: 'label',
                           text: "You haven't chosen any file. Please pick up a protected file.",
                           id: informUploadedFile,
                           style: "height: 40px; font-style: italic; font-size: 13px; color: red"
                       },
                       // {
                       //     type: 'textbox',
                       //     name: 'privatePost',
                       //     placeholder: 'Type to search',
                       //     label: 'Pages/Posts'
                       // },
                           {
                           type: 'button',
                           name: 'privateFile',
                           text: 'Insert media file',
                           label: 'Media Files',
                           id: privateFileBtn,
                           onclick: handleInsertProtectedFile
                       }],
                       onsubmit: handleFormSubmit
                   });
                   return false;
               }
           });
       },
       createControl: function (n, cm) {
          return null;
       },
        getInfo: function () {
            return {
                longname: 'Magic Link for WordPress',
                author: 'buildwps',
                authorurl: 'www.buildwps.com',
                infour: 'www.buildwps.com',
                version: '1.0'
            }
        }
    });

    // tinymce.PluginManager.add('magiclink', tinymce.plugins.magiclink);

    function handleInsertProtectedFile(e) {
        e.preventDefault();

        pml_global.custom_uploader = wp.media.frames.file_frame = wp.media({
            title: 'Choose Media',
            frame: 'select',
            button: {
                text: 'Pick it'
            },
            multiple: false
        });

        pml_global.custom_uploader.on('select', function () {
            attachedFile = pml_global.custom_uploader.state().get('selection').first().toJSON();
            console.log("Attachment", attachedFile);
            $('#' + informUploadedFile).css('color', 'green');
            $('#' + informUploadedFile).text('You have chosen file ' + attachedFile.filename + '!');
        });

        pml_global.custom_uploader.open();
    }

    function handleFormSubmit( e ) {
        if(attachedFile) {
            var shortcode = '[magic_link id=' + attachedFile.id + " url='" + attachedFile.url + "'";
            if(tinyMCE.activeEditor.selection && tinyMCE.activeEditor.selection.getContent()) {
                shortcode += ' word="' +  tinyMCE.activeEditor.selection.getContent() + '"]';
                tinyMCE.activeEditor.selection.setContent(shortcode);
            } else {
                shortcode += ']';
                tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode);
            }

        }
    }

})(window, jQuery);