<?php

/**
 * Fired during plugin activation
 *
 * @link       www.buildwps.com/prevent-direct-access-premium-plugin/?utm_source=user-website&utm_medium=pluginpage&utm_campaign=plugin-author-link
 * @since      1.0.0
 *
 * @package    Pda_Wp_Magic_Link
 * @subpackage Pda_Wp_Magic_Link/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Pda_Wp_Magic_Link
 * @subpackage Pda_Wp_Magic_Link/includes
 * @author     buildwps <hello@ymese.com>
 */
class Pda_Wp_Magic_Link_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @param $plugin_basename
	 *
	 * @since    1.0.0
	 */
	public static function activate( $plugin_basename ) {
		if ( ! Pda_Wp_Magic_Link_Utils::is_main_plugin_activate() ) {
			deactivate_plugins( $plugin_basename );
			wp_die( "Please install and activate <a target=\"_blank\" rel=\"noopener noreferrer\" href=\"https://preventdirectaccess.com/pricing/\">Prevent Direct Access Gold</a> or <a target=\"_blank\" rel=\"noopener noreferrer\" href=\"https://preventdirectaccess.com/protect-wordpress-pages-posts/\">Protect Pages & Posts Gold</a> plugin" );
		}

		if ( ! Pda_Wp_Magic_Link_Utils::is_valid_license() ) {
			deactivate_plugins( $plugin_basename );
			wp_die( "You didn't purchase this add-on with your <a href='https://preventdirectaccess.com/pricing/' target='_blank'>Prevent Direct Access Gold</a> or <a href='https://preventdirectaccess.com/protect-wordpress-pages-posts/' target='_blank'>Protect Pages & Posts Gold</a>. Please <a href='https://preventdirectaccess.com/extensions/' target='_blank'>do it now</a> or drop us an email at <a href='mailto:hello@preventdirectaccess.com'>hello@PreventDirectAccess.com</a> if you have any questions!" );
		}

		Pda_Wp_Magic_Link_Utils::set_default_settings();
	}
}
