<?php

if ( ! class_exists( 'PDA_Magic_Link_DB' ) ) {
    /**
     * Class PDA_Magic_Link_DB
     */
    class PDA_Magic_Link_DB {
        /**
         * @var string
         */
        private $table_version = '1.0';

        /**
         * PDA_Magic_Link_DB constructor.
         */
        public function __construct() {
            global $wpdb;
            $this->table_version = get_option( PDA_Magic_Link_Constants::TABLE_VERSION ) === false ? '1.0' : get_option( PDA_Magic_Link_Constants::TABLE_VERSION );
            $this->table_name = $wpdb->prefix . 'prevent_direct_access_downloads';
        }

        /**
         * Install table
         */
        public function install() {
            $this->init_table();
        }

        /**
         * Init table
         */
        private function init_table() {
            if ( $this->is_table_does_not_exist() ) {
	            global $wpdb;
                $charset_collate = $wpdb->get_charset_collate();
                $sql             = "CREATE TABLE $this->table_name (
						id mediumint(9) NOT NULL AUTO_INCREMENT,
						user_id mediumint(9) NOT NULL,
						private_link_id mediumint(9) NOT NULL,
						downloads mediumint(9) NOT NULL,
						expired_date BIGINT DEFAULT NULL,
						UNIQUE KEY id(id)
				) $charset_collate;";
                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                dbDelta( $sql );
                $this->table_version = "1.0";
                $this->update_table_version( $this->table_version );
            }
        }

        private function update_table_version( $version ) {
            update_option( PDA_Magic_Link_Constants::TABLE_VERSION, $version );
        }

        private function is_table_does_not_exist() {
            global $wpdb;
            $query_string = 'SHOW TABLES LIKE %s';
            $preparation  = $wpdb->prepare( $query_string, $this->table_name );

            return $wpdb->get_var( $preparation ) != $this->table_name;
        }

    }
}
