<?php

if ( ! class_exists( 'Pda_Wp_Magic_Link_Repo' ) ) {

    class Pda_Wp_Magic_Link_Repo {

        public static function get_attachment_id_from_url( $url ) {
            global $wpdb;
            $attachment = $wpdb->get_col( $wpdb->prepare( "SELECT ID FROM $wpdb->posts WHERE guid='%s';", $url ) );

            return empty( $attachment ) ? 0 : $attachment[0];
        }

        public function delete_default_private_link( $expired_date, $hits_count, $limit_downloads, $table_name, $is_pda_s3 = false ) {
            global $wpdb;
            $time_now = new DateTime();
            $time_now = $time_now->getTimestamp();
            if ( $is_pda_s3 === true ) {
                $wpdb->query( "DELETE FROM $table_name WHERE is_default = 1 AND ( $expired_date IS NOT NULL AND $expired_date < $time_now )" );
            } else {
                $wpdb->query( "DELETE FROM $table_name WHERE is_default = 1 AND ( ( $expired_date IS NOT NULL AND $expired_date < $time_now ) OR ( $limit_downloads IS NOT NULL AND $limit_downloads <= $hits_count ) )" );
            }
        }

        function insert_data( $link_id ) {
            global $wpdb;
            $table_name   = $wpdb->prefix . 'prevent_direct_access_downloads';
            $repo_v3      = new PDA_v3_Gold_Repository();
            $private_link = $repo_v3->get_private_link_for_user_by_id( $link_id );
            $curr_date    = new DateTime();
            $wpdb->insert( $table_name, array(
                'user_id'         => wp_get_current_user()->ID,
                'private_link_id' => $private_link->ID,
                'downloads'       => 1,
                'expired_date'    => $curr_date->getTimestamp(),
            ) );
        }

        function update_data( $link_id ) {
            global $wpdb;
            $table_name = $wpdb->prefix . 'prevent_direct_access_downloads';
            $data_link  = $this->get_data_by_private_link_id( $link_id, wp_get_current_user()->ID );
            $wpdb->update( $table_name, array(
                'downloads' => $data_link->downloads + 1,
            ), array(
                'id' => $data_link->id,
            ) );
        }

        function get_data_by_private_link_id( $private_link_id, $user_id ) {
            global $wpdb;
            $table_name = $wpdb->prefix . 'prevent_direct_access_downloads';
            $prepare    = $wpdb->prepare( "SELECT * FROM $table_name WHERE private_link_id = %s AND user_id = %s", $private_link_id, $user_id );

            return $wpdb->get_row( $prepare );
        }

    }
}
