<?php
/**
 * Created by PhpStorm.
 * User: gaupoit
 * Date: 1/5/18
 * Time: 15:30
 */

class Pda_Wp_Magic_Link_Utils {

	/**
	 * Check main plugin is active (PDA Gold or PPP Gold)
	 *
	 * @return bool
	 */
	static function is_main_plugin_activate() {
		$pda_activated = Yme_Plugin_Utils::is_plugin_activated( 'pda_gold' );
		if ( - 1 === $pda_activated ) {
			return true;
		}

		$ppp_activated = Yme_Plugin_Utils::is_plugin_activated( 'pap_gold' );
		if ( - 1 === $ppp_activated ) {
			return true;
		}

		$ppp_old_activated = Yme_Plugin_Utils::is_plugin_activated( 'pap_gold_old' );
		if ( - 1 === $ppp_old_activated ) {
			return true;
		}

		$pda_v3_old_activated = Yme_Plugin_Utils::is_plugin_activated( 'pda_v3' );

		return - 1 === $pda_v3_old_activated;
	}

	/**
	 * Check license of main plugin(PDA Gold or PPP Gold) is support for PDA Magic Link
	 *
	 * @return bool
	 */
	static function is_valid_license() {
		$configs    = require( 'class-pda-wp-magic-link-configs.php' );
		$extensions = new YME_Addon( 'pda-magic-link' );

		return $extensions->isValidPurchased( $configs->addonProductId, Yme_Plugin::getLicenseKey( 'pdav3' ) )['isValid']
		       || $extensions->isValidPurchased( $configs->addonProductId, Yme_Plugin::getLicenseKey( 'pda' ) )['isValid']
		       || $extensions->isValidPurchased( $configs->addonProductId, Yme_Plugin::getLicenseKey( 'ppp' ) )['isValid'];
	}

	public static function set_default_settings() {
		$setting = get_option( 'pda_settings_magic_link' );
		if ( ! $setting ) {
			$magic = array(
				'mg_time_die_private_link'  => '1 minutes',
				'ppp_time_die_private_link' => '1 minutes',
				'file_access_permission'    => 'anyone',
			);
			update_option( 'pda_settings_magic_link', serialize( $magic ) );
		}
	}

}
