(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

        $(document).ready(function(){

            // Disable option assign membership in bottom
            $('#bulk-action-selector-bottom option[value=assign_membership]').prop("disabled", true);

            $("#bulk-action-selector-top").change(function(evt) {
                if($(this).val() === "assign_membership") {
                    $($("#pda-membership-template-upload").html()).insertAfter("#bulk-action-selector-top");
                    checkMembberships();
                } else {
                    $("#all_membership").hide();
                    $(".wrap_all_role_membership").remove();
                }
            });

            function checkMembberships() {
                $(".all_role_membership").select2();
                $(".wrap_all_role_membership").show();
                $('#all_membership').change(function() {
                    switch($(this).val()) {
                        case 'user_access_manager':
                            renderOption('user_access_manager');
                            break;
                        case 'paid_memberships_pro':
                            renderOption('paid_memberships_pro');
                            break;
                        case 'woo_memberships':
                            renderOption('woo_memberships');
                            break;
                        case 'woo_subscriptions':
                            renderOption('woo_subscriptions');
                            break;
                        case 'ar_member':
                            renderOption('ar_member');
                            break;
                        case 'restrict_content_pro':
                            renderOption('restrict_content_pro');
                            break;
                        case 'simple_wordpress_membership':
                            renderOption('simple_wordpress_membership');
                            break;
                    }
                    $("#value_meberships").val("");
                    $(".all_role_membership").change(function() {
                        $("#value_meberships").val($(this).val());
                    });
                });

                $("#all_membership").trigger("change");
            }

            function renderOption(member) {
                if ("user_access_manager" === member || "paid_memberships_pro" === member) {
                    $(".all_role_membership").empty();
                    for (var i = 0; i < membership_integration_data.all_members[member].length; i++) {
                        $(".all_role_membership").append("<option value='"+ membership_integration_data.all_members[member][i] +"'>" + membership_integration_data.all_members[member][i] + "</option>");
                    }
                } else {
                    $(".all_role_membership").empty();
                    for (var i = 0; i < membership_integration_data.all_members[member].length; i++) {
                        $(".all_role_membership").append("<option value='"+ membership_integration_data.all_members[member][i].id +"'>" + membership_integration_data.all_members[member][i].name + "</option>");
                    }
                }
            }
		});
})( jQuery );
