(function( $ ) {
    'use strict';

    /**
     * All of the code for your admin-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
	 *
	 * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
	 *
	 * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     */

    $(document).ready(function(){
        $(".pda-select2").select2({
            width: '100%',
        });

        logicShowHideElement();

        $('#membership_integration_form').submit(function(evt) {
            evt.preventDefault();
            evt.stopImmediatePropagation();

            _updateSettings({
                membership_integration: $("#membership_integration_select").val(),
                ultimate_member: $("#ultimate_member").prop('checked'),
                membership_2: $("#membership2_select").val(),
                paidmembershippro: $("#memberships_pro").val(),
                woo_memberships: $("#woo_memberships").val(),
                woo_subcriptions: $("#woo_subcriptions").val(),
                ar_member: $("#ar_member").val(),
                simple_wordpress_membership: $("#simple_wordpress_membership").val(),
                restrict_content_pro: $("#restrict_content_pro").val(),
                pda_membership_apply_membership_2: $("#pda_membership_apply_membership_2").prop("checked"),
                pda_membership_apply_uam: $("#pda_membership_apply_uam").prop("checked"),
                pda_membership_apply_paid_membership_pro: $("#pda_membership_apply_paid_membership_pro").prop("checked"),
                pda_membership_apply_woo_membership: $("#pda_membership_apply_woo_membership").prop("checked"),
                pda_membership_apply_woo_subcriptions: $("#pda_membership_apply_woo_subcriptions").prop("checked"),
                pda_membership_apply_ar_member: $("#pda_membership_apply_ar_member").prop("checked"),
                pda_membership_apply_restrict_content_pro: $("#pda_membership_apply_restrict_content_pro").prop("checked"),
                pda_membership_apply_simple_wordpress_membership: $("#pda_membership_apply_simple_wordpress_membership").prop("checked"),
                pda_res_type: $("#pda_res_type").val(),
                pda_res_access_level: $("#pda_res_access_level").val(),
            }, function (error) {
                if(error) {
                    console.error(error);
                }
                // location.reload(true);
            });
        });

        function logicShowHideElement() {
            $("#pda_membership_apply_membership_2").change(function() {
                if( $(this).prop('checked') ) {
                    $(".pda_membership_select_membership_2").show(500);
                    $("#membership2_select").prop('required', true);
                } else {
                    $(".pda_membership_select_membership_2").hide(500);
                    $("#membership2_select").prop('required', false);
                }
            });
            $("#pda_membership_apply_membership_2").trigger("change");

            $("#pda_membership_apply_uam").change(function() {
                if( $(this).prop('checked') ) {
                    $(".pda_membership_select_uam").show(500);
                    $("#membership_integration_select").prop('required', true);
                } else {
                    $(".pda_membership_select_uam").hide(500);
                    $("#membership_integration_select").prop('required', false);
                }
            });
            $("#pda_membership_apply_uam").trigger("change");

            $("#pda_membership_apply_paid_membership_pro").change(function() {
                if( $(this).prop('checked') ) {
                    $(".pda_membership_select_paid_membership_pro").show(500);
                    $("#memberships_pro").prop('required', true);
                } else {
                    $(".pda_membership_select_paid_membership_pro").hide(500);
                    $("#memberships_pro").prop('required', false);
                }
            });
            $("#pda_membership_apply_paid_membership_pro").trigger("change");

            $("#pda_membership_apply_woo_membership").change(function() {
                if( $(this).prop('checked') ) {
                    $(".pda_membership_select_woo_membership").show(500);
                    $("#woo_memberships").prop('required', true);
                } else {
                    $(".pda_membership_select_woo_membership").hide(500);
                    $("#woo_memberships").prop('required', false);
                }
            });
            $("#pda_membership_apply_woo_membership").trigger("change");

            $("#pda_membership_apply_woo_subcriptions").change(function() {
                if( $(this).prop('checked') ) {
                    $(".pda_membership_select_woo_subcriptions").show(500);
                    $("#woo_subcriptions").prop('required', true);
                } else {
                    $(".pda_membership_select_woo_subcriptions").hide(500);
                    $("#woo_subcriptions").prop('required', false);
                }
            });
            $("#pda_membership_apply_woo_subcriptions").trigger("change");

            $("#pda_membership_apply_ar_member").change(function() {
                if( $(this).prop('checked') ) {
                    $(".pda_membership_select_ar_member").show(500);
                    $("#ar_member").prop('required', true);
                } else {
                    $(".pda_membership_select_ar_member").hide(500);
                    $("#ar_member").prop('required', false);
                }
            });
            $("#pda_membership_apply_ar_member").trigger("change");

            $("#pda_membership_apply_simple_wordpress_membership").change(function() {
                if( $(this).prop('checked') ) {
                    $(".pda_membership_select_simple_wordpress_membership").show(500);
                    $("#simple_wordpress_membership").prop('required', true);
                } else {
                    $(".pda_membership_select_simple_wordpress_membership").hide(500);
                    $("#simple_wordpress_membership").prop('required', false);
                }
            });
            $("#pda_membership_apply_simple_wordpress_membership").trigger("change");

            $("#pda_membership_apply_restrict_content_pro").change(function() {
                if( $(this).prop('checked') ) {
                    if ( $('#pda_res_type').val() === 'pda_memberships_level' ) {
                        $("#restrict_content_pro").prop('required', true);
                    } else {
                        $("#restrict_content_pro").prop('required', false);
                    }
                    $(".pda_membership_select_restrict_content_pro").show(500);
                } else {
                    $("#restrict_content_pro").prop('required', false);
                    $(".pda_membership_select_restrict_content_pro").hide(500);
                }

            });
            $("#pda_membership_apply_restrict_content_pro").trigger("change");

            $('#pda_res_type').change(function() {
                if ( $(this).val() === 'pda_access_level' ) {
                    $('.pda_wrap_select_access_level').show();
                    $('.pda_wrap_select_mem_level').hide();
                    $("#restrict_content_pro").prop('required', false);
                } else {
                    $('.pda_wrap_select_access_level').hide();
                    $('.pda_wrap_select_mem_level').show();
                    if ( $("#pda_membership_apply_restrict_content_pro").prop('checked') ) {
                        $("#restrict_content_pro").prop('required', true);
                    }
                }
            });
            $("#pda_res_type").trigger("change");

        }

        function _updateSettings(settings, cb) {
            var _data = {
                action: 'update_membership_integration',
                settings: settings,
                security_check: $("#nonce_membership").attr('nonce'),
            }
            $("#submit").val("Submitting");
            $("#submit").prop("disabled", true);
            $.ajax({
                url: membership_integration_data.ajax_url,
                type: 'POST',
                data: _data,
                success: function(data) {
                    $("#submit").prop("disabled", false);
                    //Do something with the result from server
                    if (data == 'invalid_nonce') {
                        alert('No! No! No! Verify Nonce Fails!');
                    } else if(data) {
                        console.log("Success", data);
                        toastr.success('Your settings have been updated successfully!', 'PDA Membership Integration')
                    } else {
                        console.log("Failed", data);
                    }
                    cb();
                },
                error: function(error) {
                    $("#submit").prop("disabled", false);
                    console.log("Errors", error);
                    cb(error);
                },
                timeout: 5000
            });
        }

    });
})( jQuery );
