<?php

/**
 * Fired during plugin activation
 *
 * @link       preventdirectaccess.com
 * @since      1.0.0
 *
 * @package    Pda_Membership_Integration
 * @subpackage Pda_Membership_Integration/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Pda_Membership_Integration
 * @subpackage Pda_Membership_Integration/includes
 * @author     BWPS <hello@preventdirectaccess.com>
 */
class Pda_Membership_Integration_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate($plugin_basename) {

		if ( ! Pda_Membership_Utils::IsValidPurchased() ) {
			deactivate_plugins( $plugin_basename );
			wp_die( "You didn't purchase this add-on with your <a href='https://preventdirectaccess.com/pricing/' target='_blank'>Prevent Direct Access Gold</a> or <a href='https://preventdirectaccess.com/protect-wordpress-pages-posts/' target='_blank'>Protect Pages & Posts Gold</a>. Please <a href='https://preventdirectaccess.com/extensions/' target='_blank'>do it now</a> or drop us an email at <a href='mailto:hello@preventdirectaccess.com'>hello@PreventDirectAccess.com</a> if you have any questions!" );
		}

		if (
        	Yme_Plugin_Utils::is_plugin_activated('pda_gold') !== -1 &&
            Yme_Plugin_Utils::is_plugin_activated('pda_v3') !== -1 &&
			Yme_Plugin_Utils::is_plugin_activated('pap_gold') !== -1 &&
            Yme_Plugin_Utils::is_plugin_activated('pap_gold_old') !== -1
        ) {
            deactivate_plugins( $plugin_basename );
			wp_die( "Please install and activate <a target=\"_blank\" rel=\"noopener noreferrer\" href=\"https://preventdirectaccess.com/pricing/\">Prevent Direct Access Gold</a> or <a target=\"_blank\" rel=\"noopener noreferrer\" href=\"https://preventdirectaccess.com/protect-wordpress-pages-posts/\">Protect Pages & Posts Gold</a> plugin" );
        }

	}

}
