<?php
/**
 * Created by PhpStorm.
 * User: gaupoit
 * Date: 6/22/18
 * Time: 16:23
 */

if ( ! class_exists( 'Pda_Membership_Notification' ) ) {
	class Pda_Membership_Notification {
		function render_notification() {
			$supported_plugins = array(
				array(
					'name' => 'User Access Manager',
					'link' => 'https://wordpress.org/plugins/user-access-manager/'
				),
				array(
					'name' => 'Paid Memberships Pro',
					'link' => 'https://wordpress.org/plugins/paid-memberships-pro/'
				),
				array(
					'name' => 'WooCommerce Memberships',
					'link' => 'https://woocommerce.com/products/woocommerce-memberships/'
				),
				array(
					'name' => 'WooCommerce Subscriptions',
					'link' => 'https://woocommerce.com/products/woocommerce-subscriptions/'
				),
				array(
					'name' => 'ARMember',
					'link' => 'https://www.armemberplugin.com/'
				),
				array(
					'name' => 'Restrict Content Pro',
					'link' => 'https://restrictcontentpro.com/'
				),
				array(
					'name' => 'Simple WordPress Membership',
					'link' => 'https://wordpress.org/plugins/simple-membership/'
				)
			);

			$total = count( $supported_plugins );

			$contents = array_map( function ( $key, $plugin ) use ( $total ) {
				$separator = ', ';
				if ( $key === $total - 1 ) {
					$separator = '';
				}
				$link = $plugin['link'];
				$name = $plugin['name'];

				return "<a target='_blank' href='$link'>$name</a>$separator";

			}, array_keys( $supported_plugins ), $supported_plugins );

			return "<div class='main_container'><p>Please install and activate at least one of these membership plugins: " . implode( "", $contents ) . " to integrate with Prevent Direct Access Gold.</p></div>";
		}
	}
}
