<?php
$is_apply_restrict_content = pda_membership_get_setting_boolen( Pda_Membership_Constants::PDA_MEMBERSHIP_APPLY_RESTRICT_CONTENT_PRO );
$check                     = $is_apply_restrict_content ? 'checked' : '';
$add_class                 = $is_apply_restrict_content ? '' : 'pda_member_hide';
$pda_res_type              = pda_membership_get_setting_string( Pda_Membership_Constants::PDA_MEMBERSHIP_RES_TYPE );
$pda_res_access_level      = pda_membership_get_setting_string( Pda_Membership_Constants::PDA_MEMBERSHIP_RES_ACCESS_LEVEL );
$access_level_hide         = 'pda_access_level' === $pda_res_type ? '' : 'pda_member_hide';
$access_mem_hide           = 'pda_memberships_level' === $pda_res_type ? '' : 'pda_member_hide';
$restrict_content_pro      = ( array_key_exists( 'restrict_content_pro', $options ) && ( $options['restrict_content_pro'] !== "" ) ) ? $options['restrict_content_pro'] : [];
$membership_levels         = get_all_memberships_level_of_restrict_content_pro();

$res_options = array(
	array( "value" => "0", "label" => "0 and higher" ),
	array( "value" => "1", "label" => "1 and higher" ),
	array( "value" => "2", "label" => "2 and higher" ),
	array( "value" => "3", "label" => "3 and higher" ),
	array( "value" => "4", "label" => "4 and higher" ),
	array( "value" => "5", "label" => "5 and higher" ),
	array( "value" => "6", "label" => "6 and higher" ),
	array( "value" => "7", "label" => "7 and higher" ),
	array( "value" => "8", "label" => "8 and higher" ),
	array( "value" => "9", "label" => "9 and higher" ),
	array( "value" => "10", "label" => "10 and higher" ),
);

?>
<tr>
	<td>
		<label class="pda_switch pda_membership_switch" for="pda_membership_apply_restrict_content_pro">
			<input type="checkbox" id="pda_membership_apply_restrict_content_pro"
			       name="pda_membership_apply_restrict_content_pro" <?php echo esc_attr( $check ) ?>/>
			<span class="pda-slider round"></span>
		</label>
	</td>
	<td>
		<p>
			<label><?php esc_html_e( 'Restrict Content Pro', 'prevent-direct-access-gold' ) ?></label>
		</p>
		<div class="pda_membership_select_restrict_content_pro <?php esc_attr_e( $add_class ); ?>">
			<div class="pda_mem_wrap_select">
				<select id="pda_res_type" class="pda_wrap_res_type">
					<option value="pda_access_level" <?php echo 'pda_access_level' === $pda_res_type ? 'selected' : ''; ?> >
						Access Level
					</option>
					<option value="pda_memberships_level" <?php echo 'pda_memberships_level' === $pda_res_type ? 'selected' : ''; ?> >
						Membership Level
					</option>
				</select>
				<div class="pda_wrap_access_and_member_level">
					<div class="pda_wrap_select_access_level <?php echo esc_attr( $access_level_hide ); ?>">
						<select id="pda_res_access_level" class="pda_wrap_res_type">
							<?php foreach ( $res_options as $res_option ) { ?>
								<option <?php echo $pda_res_access_level === $res_option['value'] ? 'selected' : '' ?>
										value="<?php echo esc_attr( $res_option['value'] ); ?>"><?php echo esc_html( $res_option['label'] ); ?></option>
							<?php } ?>
						</select>
					</div>
					<div class="pda_wrap_select_mem_level <?php echo esc_attr( $access_mem_hide ); ?>">
						<select multiple="multiple" id="restrict_content_pro" class="pda-select2">
							<?php foreach ( $membership_levels as $level ) { ?>
								<option <?php echo in_array( $level['id'], $restrict_content_pro ) ? 'selected="selected"' : '' ?>" value="<?php echo esc_attr( $level['id'] ); ?>"><?php echo esc_html( $level['name'] ); ?></option>
							<?php } ?>
						</select>
					</div>
				</div>
			</div>
		</div>
	</td>
</tr>
