(function( $ ) {
    'use strict';

    $(function() {

        $('#mg_units_times_die_private_link').change(function(){
            var unitsTimes = $('#mg_units_times_die_private_link').val();
            setMinMaxForTimeDie(unitsTimes, 'mg_time_die_private_link');
        });

        $('#unit_timeout_for_signed_url').change(function(){
            var unitsTimesSignedUrl = $('#unit_timeout_for_signed_url').val();
            setMinMaxForTimeDie(unitsTimesSignedUrl, 'timeout_for_signed_url');
        });

        $('#pda_s3_setting_form').submit(function(evt) {
            evt.preventDefault();
            evt.stopImmediatePropagation();
            var time_die = $('#mg_time_die_private_link').val();
            var units_times = $('#mg_units_times_die_private_link').val();
            if (typeof(time_die) == "undefined") {
                time_die = '7';
                units_times = 'days';
            } else {
                if (time_die.length == 0 || parseInt(time_die) <= 0) {
                    time_die = '7';
                    units_times = 'days';
                }
            }
            var time_die_signed_url = $('#timeout_for_signed_url').val();
            var units_time_signed_url = $('#unit_timeout_for_signed_url').val();

            if (typeof(time_die_signed_url) == "undefined") {
                time_die_signed_url = '7';
                units_time_signed_url = 'days';
            } else {
                if (time_die_signed_url.length == 0 || parseInt(time_die_signed_url) <= 0) {
                    time_die_signed_url = '7';
                    units_time_signed_url = 'days';
                }
            }

            _updateSettingsPdaS3({
                mg_time_die_private_link: time_die + " " + units_times,
                auto_sync_to_s3: $('#pda_s3_auto_sync_to_s3').prop('checked'),
                auto_sync_to_s3_after_upload: $('#pda_s3_auto_sync_to_s3_after_upload').prop('checked'),
                cdn: $("#pda_s3_cname").val(),
                remove_local_file: $('#pda_s3_remove_local_file').prop('checked'),
                auto_replace_protected_file: $("#pda_auto_replace_protected_file").prop('checked'),
                replaced_pages_posts: $('#pda_replaced_pages_select2').val(),
                replaced_posts_types: $('#pda_replaced_post_type_select2').val(),
                // pda_delete_link_expired: $('#pda_delete_link_expired').prop('checked'),
                mg_time_die_signed_url: time_die_signed_url + " " + units_time_signed_url,
                asset_cdn: $("#pda_s3_asset_cname").val(),
            }, function (error) {
                if(error) {
                    console.error(error);
                }
            });

        });

        // Comment by: thinhnp
        // Reason: https://app.asana.com/0/862774702554010/866735432496203
        // $('#pda-s3-apply-cache').click(function(evt) {
        //     evt.preventDefault();
        //     var self = $(this);
        //     var oldValue = self.val();
        //     self.val('Processing...');
        //     $.ajax({
        //         url: pda_s3_data.cache_api,
        //         type: 'POST',
        //         success: function() {
        //             self.val(oldValue);
        //             toastr.success('Assets caching has been updated successfully!', 'Prevent Direct Access S3')
        //         },
        //         error: function(error) {
        //             self.val(oldValue);
        //             toastr.error(error, 'Prevent Direct Access S3');
        //         }
        //     })
        //
        // })

    });

    function _updateSettingsPdaS3(settings, cb) {
        var _data = {
            action: 'update_option_setting_pdas3',
            settings: settings,
            security_check: $("#pdas3_general_nonce").attr('nonce'),
        }
        $.ajax({
            url: pda_s3_data.ajaxurl,
            type: 'POST',
            data: _data,
            success: function(data) {
                if (data == 'invalid_nonce') {
                    alert('No! No! No! Verify Nonce Fails!');
                } else if(data) {
                    toastr.success('Settings has been updated successfully!', 'Prevent Direct Access S3')
                } else {
                    console.log("Failed", data);
                }
                cb();
            },
            error: function(error) {
                cb(error);
            },
            timeout: 5000
        });
    }

    function setMinMaxForTimeDie(unitsTimes, id) {
        switch (unitsTimes) {
            case 'days':
                $("#" + id).attr({
                    "max" : 7,
                    "min" : 1
                });
                break;
            case 'hours':
                $("#" + id).attr({
                    "max" : 168,
                    "min" : 1
                });
                break;
            case 'minutes':
                $("#" + id).attr({
                    "max" : 10080,
                    "min" : 1
                });
                break;
            case 'seconds':
                $("#" + id).attr({
                    "max" : 604800,
                    "min" : 1
                });
                break;
        }
    }

})( jQuery );
