(function( $ ) {
    'use strict';

    $(function() {

        $(".pda-s3-sync-file").click( function( evt ) {
            evt.preventDefault();
            var post_id = evt.target.id.split('_')[1];
            pdas3SyncFile(post_id);
        });

    });

    function pdas3SyncFile(post_id) {
        var _data = {
            action: 'pda_s3_handle_sync_file',
            post_id: post_id,
            security_check: $("#pda_s3_nonce_sync_file_" + post_id).val(),
        }
        $("#pda-s3-sync-file_" + post_id).css("pointer-events", "none");
        var text_sync = $("#pda-s3-sync-file_" + post_id).text();
        $("#pda-s3-sync-file_" + post_id).text(text_sync + 'ing...');
        $.ajax({
            url: pda_s3_handle_sync_file.ajax_url,
            type: 'POST',
            data: _data,
            success: function(data) {
                if(data) {
                    if (data == 'Invalid nonce') {
                        alert('No! No! No! Verify Nonce Fails!');
                    } else if ( data === 'unsync' ) {
                        toastr.success('Unsynced file from Amazon S3 successfully', 'Prevent Direct Access S3');
                        $("#pda-s3-sync-file-status_" + post_id).remove();
                        $("#pda-s3-sync-file_" + post_id).text("Sync");
                        $("#pda-s3-sync-file_" + post_id).attr("title","Click Sync to S3");
                    } else {
                        toastr.success('Synced file to Amazon S3 successfully', 'Prevent Direct Access S3')
                        if ( data === 'sync-deleted' ) {
                            $("#pda-v3-wrap-status_" + post_id).append(
                                '<span id="pda-s3-sync-file-status_' + post_id + '" title="This file is offloaded to Amazon S3" class="protection-status offloaded-to-s3"><i class="fa fa-check-circle" aria-hidden="true"></i> offloaded</span>'
                            );
                        } else {
                            $("#pda-v3-wrap-status_" + post_id).append(
                                '<span id="pda-s3-sync-file-status_' + post_id + '" title="This file is synced to Amazon S3" class="protection-status synced-to-s3"><i class="fa fa-check-circle" aria-hidden="true"></i> synced</span>'
                            );
                        }
                        $("#pda-s3-sync-file_" + post_id).text("Unsync");
                        $("#pda-s3-sync-file_" + post_id).attr("title","Click Unsync from S3");
                    }
                    $("#pda-s3-sync-file_" + post_id).css("pointer-events", "auto");
                } else {
                    toastr.error('Could not ' + text_sync.toLowerCase() + ' file! Please try again or check your configuration.', 'Prevent Direct Access S3');
                    $("#pda-s3-sync-file_" + post_id).text(text_sync);
                    console.log("Failed", data);
                }
            },

            error: function(error) {
                if ( text_sync === 'Sync') {
                    toastr.error('Fail to sync file to Amazon S3. Request timeout.', 'Prevent Direct Access S3');
                } else {
                    toastr.error('Fail to unsync file from Amazon S3. Request timeout.', 'Prevent Direct Access S3');
                }
                console.log("Errors", error);
            },
            timeout: 10000
        });
    }

})( jQuery );
