<?php
/**
 * Created by PhpStorm.
 * User: beosdev
 * Date: 15/11/2018
 * Time: 09:45
 */

namespace PDAS3\AsyncTasks;

use WP_Background_Process;
use PDA_S3_UTILS;

if ( ! class_exists( 'PDA_S3_Offload_Backup_Files' ) ) {
    /**
     * Async class for S3 functions
     *
     * Class PDA_S3_Sync_To_S3
     */
    class PDA_S3_Offload_Backup_Files extends WP_Background_Process {
        protected $action = 'S3_Offload_Backup_Files_Action';
        /**
         * Action for the task
         *
         * @var string
         */

        /**
         * Handle sync file to s3
         */
        protected function task( $item ) {
            $util = new PDA_S3_UTILS();
            foreach ($item['files'] as $post) {
                $file_paths = $util->get_file_paths( $post['id'], false );
                foreach ( $file_paths as $file_path ) {
                    if ($file_path) {
                        $util->remove_local_file($post['id'], $file_path, false);
                    }
                }
                if ($post['protection_status'] !== pda_s3_is_protected_file($post['id'])) {
                    if ($post['protection_status']) {
                        do_action('pda_after_un_protected', $post['id']);
                    } else {
                        do_action('pda_after_protected', $post['id']);
                    }
                }
            }
            return false;
        }

        /**
         * Complete
         *
         * Override if applicable, but ensure that the below actions are
         * performed, or, call parent::complete().
         */
        protected function complete() {
            parent::complete();

            // Show notice to user or perform some other arbitrary task...
        }

    }
}
