<?php
/**
 * Created by PhpStorm.
 * User: gaupoit
 * Date: 10/19/18
 * Time: 10:38
 */

namespace PDAS3\AsyncTasks;

use WP_Background_Process;
use PDA_S3_UTILS;

if ( ! class_exists( 'PDA_S3_Sync_To_S3' ) ) {
	/**
	 * Async class for S3 functions
	 *
	 * Class PDA_S3_Sync_To_S3
	 */
	class PDA_S3_Sync_To_S3 extends WP_Background_Process {
		
		/**
		 * @var string action's name
		 */
		protected $action = 'pda_s3_sync_to_s3';
		/**
		 * Action for the task
		 *
		 * @var string
		 */
		
		/**
		 * Handle sync file to s3
		 */
		protected function task( $item ) {
			try {
				$utils = new PDA_S3_UTILS();
				$utils->sync_file_to_s3( $item['id'] );
			} catch( \Exception $exception ) {
				PDA_S3_UTILS::Logger()->error( $exception->getMessage() );
			} finally {
                error_log( wp_json_encode( $item ) );
                return false;
            }
		}
		
		/**
		 * Complete
		 *
		 * Override if applicable, but ensure that the below actions are
		 * performed, or, call parent::complete().
		 */
		protected function complete() {
			parent::complete();
			
			// Show notice to user or perform some other arbitrary task...
		}
		
	}
}
