<?php
/**
 * Created by PhpStorm.
 * User: gaupoit
 * Date: 4/18/18
 * Time: 09:51
 */

if ( !class_exists('PDA_S3_Settings_Util') ) {

    /***
     * This class's responsible for loading settings options
     * Class PDA_S3_Settings_Util
     */
    class PDA_S3_Settings_Util {

        public function getAwsConfigs() {
            $settings = $this->validS3Setting();
            if( ! $settings ) {
                return array();
            } else {
                return array(
                    'aws_key' => $settings['aws_key'],
                    'aws_secret' => $settings['aws_secret'],
                    'bucket' => $settings['bucket'],
                    'region' => $settings['region'],
                );
            }

        }

        public function validS3Setting() {
	        $options = get_option( pda_s3_BWPSConstant::PDAS3_SETTINGS_NAME, null );
	        if( is_null($options) )
	        	return false;

	        $settings = unserialize( $options );

	        if ( ! is_array( $settings) ) {
	        	return false;
	        }

	        $keys = ["aws_key", "aws_secret", "bucket", "region"];
	        foreach ($keys as $key) {
	        	if( ! array_key_exists( $key, $settings ) ) {
	        		return false;
		        }
	        }

	        return $settings;
        }

        function get_setting_values( $nameSettings ) {
            $settings = get_option( pda_s3_BWPSConstant::PDAS3_SETTINGS_NAME, null );
            if ( $settings ) {
                $options        = unserialize( $settings );
                $result = array_key_exists( $nameSettings, $options ) ? $options[ $nameSettings ] : '';
                return $result;
            }

            return '';
        }

    }

}

