<tr>
    <?php $check = pda_s3_get_setting( PdaS3Constants::AUTO_REPLACE_PROTECTED_FILE ) === "true" ? 'checked' : ''; ?>
    <td>
        <label class="pda_switch" for="pda_auto_replace_protected_file">
            <input type="checkbox" id="pda_auto_replace_protected_file"
                   name="pda_auto_replace_protected_file" <?php echo esc_attr( $check ) ?>/>
            <span class="pda-slider round"></span>
        </label>
    </td>
    <td>
        <p>
            <label><?php echo esc_html__( 'Search & Replace', 'prevent-direct-access-gold' ) ?></label>
            <?php echo esc_html__( 'Search and auto-replace synced files whose URLs are already embedded in content', 'prevent-direct-access-gold' ) ?>
        </p>
    </td>
</tr>
<?php
$is_display    = pda_s3_get_setting( PdaS3Constants::AUTO_REPLACE_PROTECTED_FILE ) === "true" ? '' : "style='display:none'";
$repository    = new PDA_S3_Repository();
$pages         = $repository->get_all_post_and_page_publish();
$all_post_type = $repository->get_all_post_type();

$selected_posts_types = pda_s3_get_setting( PdaS3Constants::REPLACED_POSTS_TYPES );
$selected_posts       = pda_s3_get_setting( PdaS3Constants::REPLACED_PAGES_POSTS );
$is_required          = $selected_posts === "" && $selected_posts_types === "" ? 'required' : '';

?>
<tr class="pda-pages-posts-replace" <?php echo $is_display ?>>
    <td></td>
    <td><p><?php echo esc_html__( 'Apply to all posts under these post types', 'prevent-direct-access-gold' ) ?></p>
        <select <?php echo esc_attr( $is_required ); ?> multiple="multiple" id="pda_replaced_post_type_select2" style="width:100%">
            <?php foreach ( $all_post_type as $post_type ): ?>
                <?php $is_selected_type = ! empty( $selected_posts_types ) && array_search( $post_type->name, $selected_posts_types ) !== false ? "selected" : "" ?>
                <option <?php echo esc_attr( $is_selected_type ) ?>
                        value="<?php echo esc_html( $post_type->name ) ?>"><?php echo esc_html( $post_type->label ) ?></option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>
<tr class="pda-pages-posts-replace" <?php echo $is_display ?>>
    <td></td>
    <td><p><?php echo esc_html__( 'Apply to these pages or posts only', 'prevent-direct-access-gold' ) ?></p>
        <select <?php echo esc_attr( $is_required ); ?> multiple="multiple" id="pda_replaced_pages_select2" style="width:100%">
			<?php foreach ( $pages as $page ): ?>
				<?php $is_selected = ! empty( $selected_posts ) && array_search( $page->ID, $selected_posts ) !== false ? "selected" : "" ?>
                <option <?php echo esc_attr( $is_selected ) ?>
                        value="<?php echo esc_html( $page->ID ) ?>"><?php echo esc_html( $page->post_title ) ?></option>
			<?php endforeach; ?>
        </select>
    </td>
</tr>
<?php
$time_die_signed_url = get_time_die_for_url( PdaS3Constants::PDAS3_EXPIRED_TIME_FOR_SIGNED_URL );
$time_for_signer_url  = $time_die_signed_url['time'];
$units_for_signer_url = $time_die_signed_url['units'];
$max_for_signed_url   = $time_die_signed_url['max'];
?>
<tr class="pda-pages-posts-replace" <?php echo $is_display ?>>
    <td></td>
    <td>
        <p>
            <span class="sub-label"><?php echo esc_html__( 'Expiration Time', 'prevent-direct-access-gold' ) ?></span>
            <?php echo esc_html__( 'Set default expiration time for Amazon S3/CloudFront signed URLs embedded in content', 'prevent-direct-access-gold' ) ?>
        </p>
        <?php if ( $time_for_signer_url != '' ) { ?>
            <input required value="<?php echo $time_for_signer_url; ?>" class="width-100" type="number"
                   id="timeout_for_signed_url" max="<?php echo $max_for_signed_url; ?>" min="1"/>
        <?php } else { ?>
            <input value="1" class="width-100" type="number" id="timeout_for_signed_url"
                   max="<?php echo $max_for_signed_url; ?>" min="1"/>
        <?php } ?>

        <select id="unit_timeout_for_signed_url">
            <option value="days" <?php if ( $units_for_signer_url == "days" ) {
                echo "selected";
            } ?> ><?php echo esc_html__( 'Days', 'prevent-direct-access-gold' ) ?>
            </option>
            <option value="hours" <?php if ( $units_for_signer_url == "hours" ) {
                echo "selected";
            } ?>><?php echo esc_html__( 'Hours', 'prevent-direct-access-gold' ) ?>
            </option>
            <option value="minutes" <?php if ( $units_for_signer_url == "minutes" ) {
                echo "selected";
            } ?> ><?php echo esc_html__( 'Minutes', 'prevent-direct-access-gold' ) ?>
            </option>
            <option value="seconds" <?php if ( $units_for_signer_url == "seconds" ) {
                echo "selected";
            } ?> ><?php echo esc_html__( 'Seconds', 'prevent-direct-access-gold' ) ?>
            </option>
        </select>
    </td>
</tr>