<?php

namespace BWPS\PDAS3\Aws3\Aws\Api\Parser;

use BWPS\PDAS3\Aws3\Aws\Api\Service;
use BWPS\PDAS3\Aws3\Aws\Api\StructureShape;
use BWPS\PDAS3\Aws3\Aws\CommandInterface;
use BWPS\PDAS3\Aws3\Aws\ResultInterface;
use BWPS\PDAS3\Aws3\Psr\Http\Message\ResponseInterface;
use BWPS\PDAS3\Aws3\Psr\Http\Message\StreamInterface;
/**
 * @internal
 */
abstract class AbstractParser
{
    /** @var \Aws\Api\Service Representation of the service API*/
    protected $api;
    /** @var callable */
    protected $parser;
    /**
     * @param Service $api Service description.
     */
    public function __construct(\BWPS\PDAS3\Aws3\Aws\Api\Service $api)
    {
        $this->api = $api;
    }
    /**
     * @param CommandInterface  $command  Command that was executed.
     * @param ResponseInterface $response Response that was received.
     *
     * @return ResultInterface
     */
    public abstract function __invoke(\BWPS\PDAS3\Aws3\Aws\CommandInterface $command, \BWPS\PDAS3\Aws3\Psr\Http\Message\ResponseInterface $response);
    public abstract function parseMemberFromStream(\BWPS\PDAS3\Aws3\Psr\Http\Message\StreamInterface $stream, \BWPS\PDAS3\Aws3\Aws\Api\StructureShape $member, $response);
}
