<?php

namespace BWPS\PDAS3\Aws3\Aws\Api\Parser;

use BWPS\PDAS3\Aws3\Aws\Api\StructureShape;
use BWPS\PDAS3\Aws3\Aws\Api\Service;
use BWPS\PDAS3\Aws3\Aws\Result;
use BWPS\PDAS3\Aws3\Aws\CommandInterface;
use BWPS\PDAS3\Aws3\Psr\Http\Message\ResponseInterface;
use BWPS\PDAS3\Aws3\Psr\Http\Message\StreamInterface;
/**
 * @internal Implements JSON-RPC parsing (e.g., DynamoDB)
 */
class JsonRpcParser extends \BWPS\PDAS3\Aws3\Aws\Api\Parser\AbstractParser
{
    use PayloadParserTrait;
    /**
     * @param Service    $api    Service description
     * @param JsonParser $parser JSON body builder
     */
    public function __construct(\BWPS\PDAS3\Aws3\Aws\Api\Service $api, \BWPS\PDAS3\Aws3\Aws\Api\Parser\JsonParser $parser = null)
    {
        parent::__construct($api);
        $this->parser = $parser ?: new \BWPS\PDAS3\Aws3\Aws\Api\Parser\JsonParser();
    }
    public function __invoke(\BWPS\PDAS3\Aws3\Aws\CommandInterface $command, \BWPS\PDAS3\Aws3\Psr\Http\Message\ResponseInterface $response)
    {
        $operation = $this->api->getOperation($command->getName());
        $result = null === $operation['output'] ? null : $this->parseMemberFromStream($response->getBody(), $operation->getOutput(), $response);
        return new \BWPS\PDAS3\Aws3\Aws\Result($result ?: []);
    }
    public function parseMemberFromStream(\BWPS\PDAS3\Aws3\Psr\Http\Message\StreamInterface $stream, \BWPS\PDAS3\Aws3\Aws\Api\StructureShape $member, $response)
    {
        return $this->parser->parse($member, $this->parseJson($stream, $response));
    }
}
