<?php

namespace BWPS\PDAS3\Aws3\Aws\ClientSideMonitoring;

use BWPS\PDAS3\Aws3\Aws\CommandInterface;
use BWPS\PDAS3\Aws3\Aws\Exception\AwsException;
use BWPS\PDAS3\Aws3\Aws\ResultInterface;
use BWPS\PDAS3\Aws3\GuzzleHttp\Psr7\Request;
use BWPS\PDAS3\Aws3\Psr\Http\Message\RequestInterface;
/**
 * @internal
 */
interface MonitoringMiddlewareInterface
{
    /**
     * Data for event properties to be sent to the monitoring agent.
     *
     * @param RequestInterface $request
     * @return array
     */
    public static function getRequestData(\BWPS\PDAS3\Aws3\Psr\Http\Message\RequestInterface $request);
    /**
     * Data for event properties to be sent to the monitoring agent.
     *
     * @param ResultInterface|AwsException|\Exception $klass
     * @return array
     */
    public static function getResponseData($klass);
    public function __invoke(\BWPS\PDAS3\Aws3\Aws\CommandInterface $cmd, \BWPS\PDAS3\Aws3\Psr\Http\Message\RequestInterface $request);
}
