(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

    $(function() {
        $("#ppp_text_input").change(function() {
            const regex = '(\\[+[\\w\\s]+\\])';
            console.log($(this).val().search(regex));
            if ( $(this).val().search(regex) === -1 ) {
                $("#pda_error_message").show();
                $("#submit").prop( "disabled", true );
            } else {
                $("#pda_error_message").hide();
                $("#submit").prop( "disabled", false );
            }
        });

        if ($("#ppp_text_input").val() === "") {
            $("#submit").prop( "disabled", true );
        }

        $('#ppp_gold_woo_form').submit(function(evt) {
			evt.preventDefault();
            evt.stopImmediatePropagation();
			_updateSettings_woo({
				ppp_text_input: $("#ppp_text_input").val(),
				ppp_page_link: $("#ppp_title_page").val(),
                ppp_poisition_text: $("#poisition_text").val(),
                ppp_templates: $("#pwc-templates").val()
			}, function (error) {
				if(error) {
					console.error(error);
				}
			});
		});
        $('#pwc-templates').select2({
            width: '100%'
        });
    });

    function _updateSettings_woo(settings, cb) {
        var _data = {
            action: 'woo_update_settings',
            settings: settings,
            security_check: $("#ppp_woo_nonce").attr('nonce'),
        }
        $.ajax({
            url: ppp_woo_data.ajax_url,
            type: 'POST',
            data: _data,
            success: function(data) {
                if (data == 'invalid_nonce') {
                    alert('No! No! No! Verify Nonce Fails!');
                } else if(data) {
                    toastr.success('Settings has been updated successfully!', 'PDA WooCommerce Integration')
                } else {
                    console.log("Failed", data);
                }
                cb();
            },
            error: function(error) {
                cb(error);
            },
            timeout: 5000
        });
    }
})( jQuery );
