(function( $ ) {
    'use strict';

    $(function() {

        $(document).ready(function($) {
            handle_switch_button( '#pda_woo_is_turn_on_number_of_devices', '#pda_number_of_devices' );
        });

        $('#pda_woocommerce_setting_form').submit(function(evt) {
            let submit = $("#submit");
            submit.prop("disabled", true);
            submit.val('Saving');
            evt.preventDefault();
            evt.stopImmediatePropagation();
            let number_of_devices = $("#pda_number_of_devices").val();
            if ( ! $('#pda_woo_is_turn_on_number_of_devices').prop("checked") ) {
                number_of_devices = '';
            }
            _updateSettings_woo_pdav3({
                pda_product_id: $("#pda_product_id").val(),
                number_of_devices_access_global_options : number_of_devices ? parseInt( number_of_devices ) : '',
            }, function (error) {
                if(error) {
                    console.log("Errors", error);
                }
                submit.prop("disabled", false);
                submit.val('Save changes');
            });
        });
    });

    function handle_switch_button( switch_button, input_element) {
        if ($(switch_button).prop("checked")){
            $(input_element).attr('required', 'required');
            $(input_element).attr('min', '1');
            $(input_element).show();
        } else {
            $(input_element).hide();
        }
        $(switch_button).change(function() {
            if ($(switch_button).prop("checked")){
                $(input_element).show();
                $(input_element).attr('required', 'required');
                $(input_element).attr('min', '1');
            } else {
                $(input_element).hide();
                $(input_element).removeAttr('required');
                $(input_element).removeAttr('min');

            }
        });
    }

    function _updateSettings_woo_pdav3(settings, cb) {
        var _data = {
            action: 'woo_update_settings_pdav3',
            settings: settings,
            security_check: $("#nonce_pda_woocommerce").attr('nonce'),
        };
        $.ajax({
            url: pad_woocommerce_integration_data.ajax_url,
            type: 'POST',
            data: _data,
            success: function(data) {
                if (data == 'invalid_nonce') {
                    alert('No! No! No! Verify Nonce Fails!');
                } else if(data) {
                    toastr.success('Settings has been updated successfully!', 'PDA Woocommerce Integration' )
                } else {
                    toastr.error('Opps! Unable to update the link. Please try again', 'PDA Woocommerce Integration' );
                }
                cb();
            },
            error: function(error) {
                cb(error);
            },
            timeout: 5000
        });
    }
})( jQuery );
