<?php

/**
 * Fired during plugin activation
 *
 * @link       preventdirectaccess.com
 * @since      1.0.0
 *
 * @package    Pda_Woocommerce
 * @subpackage Pda_Woocommerce/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Pda_Woocommerce
 * @subpackage Pda_Woocommerce/includes
 * @author     BWPS <hello@preventdirectaccess.com>
 */
class Pda_Woocommerce_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

        $papActivated = Yme_Plugin_Utils::is_plugin_activated( 'pap_gold' );
        $papOldActivated = Yme_Plugin_Utils::is_plugin_activated( 'pap_gold_old' );
        $pdaActivated = Yme_Plugin_Utils::is_plugin_activated( 'pda_gold' );
		$pdaV3Activated = Yme_Plugin_Utils::is_plugin_activated( 'pda_v3' );

		if( $papActivated !== -1 && $papOldActivated !== -1 && $pdaActivated !== -1 && $pdaV3Activated !== -1 ) {
	        deactivate_plugins( PDA_WOO_BASE_NAME );
			wp_die( "You didn't purchase this add-on with your <a href='https://preventdirectaccess.com/pricing/' target='_blank'>Prevent Direct Access Gold</a> or <a href='https://preventdirectaccess.com/protect-wordpress-pages-posts/' target='_blank'>Protect Pages & Posts Gold</a>. Please <a href='https://preventdirectaccess.com/extensions/' target='_blank'>do it now</a> or drop us an email at <a href='mailto:hello@preventdirectaccess.com'>hello@PreventDirectAccess.com</a> if you have any questions!" );
        }


        $isValidPurcharsed = Pda_Woocommerce_Utils::IsValidPurchased();

        if ( !$isValidPurcharsed ) {
            deactivate_plugins( PDA_WOO_BASE_NAME );
	        wp_die( "You didn't purchase this add-on with your <a href='https://preventdirectaccess.com/pricing/' target='_blank'>Prevent Direct Access Gold</a> or <a href='https://preventdirectaccess.com/protect-wordpress-pages-posts/' target='_blank'>Protect Pages & Posts Gold</a>. Please <a href='https://preventdirectaccess.com/extensions/' target='_blank'>do it now</a> or drop us an email at <a href='mailto:hello@preventdirectaccess.com'>hello@PreventDirectAccess.com</a> if you have any questions!" );
        }
	}

}
