# prevent-direct-access-gold-3.0

Build status: [![CircleCI](https://circleci.com/bb/ymese_dev/prevent-direct-access-gold-3.0/tree/master.svg?style=svg&circle-token=cdb8e7e16511db7f9fda02a94c456fca364935e6)](https://circleci.com/bb/ymese_dev/prevent-direct-access-gold-3.0/tree/master)

**Getting started**

- Back-end

``` bash
./scripts/install-hooks.bash
composer update
```

- Front-end 

```bash
git submodule update --init
git submodule update --remote
cd client/pda-ui
npm install
npm run plan
npm run start
```

Enjoy!

**IIS Rewrite Rules**

```
<?xml version="1.0" encoding="UTF-8"?>
<configuration>
  <system.webServer>
    <rewrite>
      <rules>
                <rule name="pda-original-link" patternSyntax="ECMAScript">
                    <match url="wp-content/uploads(/_pda/.*\.\w+)" />
                    <conditions logicalGrouping="MatchAll" trackAllCaptures="false">
                        <add input="{REQUEST_FILENAME}" matchType="IsDirectory" negate="true" />
                    </conditions>
                    <action type="Rewrite" url="/index.php?pda_v3_pf={R:1}" />
                </rule>
                <rule name="pda-private-link" patternSyntax="ECMAScript">
                    <match url="private/([a-zA-Z0-9-_]+)" />
                    <conditions logicalGrouping="MatchAll" trackAllCaptures="false">
                        <add input="{REQUEST_FILENAME}" matchType="IsDirectory" negate="true" />
                    </conditions>
                    <action type="Rewrite" url="/index.php?pda_v3_pf={R:1}&amp;pdav3_rexypo=ymerexy" />
                </rule>
                <rule name="wordpress" patternSyntax="Wildcard">
                    <match url="*" />
                    <conditions logicalGrouping="MatchAll" trackAllCaptures="false">
                        <add input="{REQUEST_FILENAME}" matchType="IsFile" negate="true" />
                        <add input="{REQUEST_FILENAME}" matchType="IsDirectory" negate="true" />
                    </conditions>
                    <action type="Rewrite" url="index.php" />
                </rule>
      </rules>
    </rewrite>
  </system.webServer>
</configuration>
```
**Change logs**

**version 3.1.6, May 14, 2020**

- [Feature] Shortcode to list available protected files by username or role

- [BugFix] User can not control video (Choose time)

- [BugFix] Can not get_post_meta when using "Auto-protect New File Uploads"

- [Improvement] Add hook pda_before_protect_file

**version 3.1.5, March 24, 2020**

- [Feature] Integrate with WPML

- [Improvement] PDA Gold: Remove & make these htaccess rules a settings option instead

- [BugFix] PDA Gold: S&R cannot get the a href having the line breaks between attributes

- [Improvement] PDA Gold: fire the hook after finishing to handle src set

- [Improvement] PDA Gold: Update text & UI

- [Improvement] PDA Gold: Image hotlinking rules that make optional for schema and www.

- [BugFix] Stop our plugin name from being translate-able

- [BugFix] Integration with PPWP Pro doesn't work with Feed Them Gallery

- [BugFix] Original image size become accessible after editing

- [BugFix] PDA Gold: Can't network activate plugin

- [BugFix] PDA Gold: Wrong site URL - miss SSL certificate

- [Improvement] Show error message under List View or Grid View if a file doesn't exist

- [BugFix] PDA Gold: Offloaded file can not be unprotected/protected

- [BugFix] PDA Gold: Raw URL under Grid View missed "http://"

**version 3.1.4, February 21, 2020**

- [BugFix] Scaled Image bugs

- [BugFix] File URL is cached when protecting one file after the other

**version 3.1.3, February 14, 2020**

- [Feature] Add filter after_check_file_exist before checking FAP and multisite

- [Feature] PDA Gold: Add empty tab for AR

- [Improvement] Send site URL when user re-check license and license cronjob is running

- [Improvement] Update text & UI

- [Improvement] Consider to disable network activate

- [Improvement] Improve share attachment ID for hook using ( Performance & Maintain )
 
- [Improvement]Still handle removed files

- [BugFix] "Auto active license" button is not check count before save to DB

- [BugFix] Error icon in Menu

- [BugFix] PDA Gold: Wordpress database error when access private link

- [BugFix] Use PPWP class name under PDA Gold function

- [BugFix] PDA Gold: Purchased addons display wrong

- [BugFix] Media files do not have the author

**version 3.1.2.8, December 23, 2019**

- [HotFix] Unnecessary scripts loading while showing the posts, pages or CPT (Improvement)

**version 3.1.2.7, December 17, 2019**

- [Improvement] Secure input of Private Link creation API

- [Improvement] Update yme-plugin-update-checker to version 4.8

- [Improvement] Update readme(metadata.json)

- [BugFix] Unnecessary scripts loading while showing the posts, pages or CPT

- [BugFix] YME_LICENSE::getLicenseInfo() fatal Error reported by customer

- [BugFix] Fixing AT due missing user creation for PDA AR and PDA MI

**version 3.1.2.6, November 22, 2019**

- [Fixed bug] Checking license expiry date works improperly

- [Fixed bug] Update htaccess rules for sites that WordPress is installed in subdirectory

- [Improvement] Add Refresh button under License tab

- [Improvement] Display Expiry date under License tab

- [Improvement] Support to protect Korean, Chinese, Japan filename

- [Improvement] Improve UI to compatible with WP 5.3

- [Improvement] Allow File's author to access his/her file by default

- [Improvement] Show notification for unavailable automatic update

**version 3.1.2.5, November 13, 2019**

- [BugFix] Warning message Declaration of PDA_WP_Upgrader_Skin::feedback($string) should be compatible with WP_Upgrader_Skin

- [BugFix] PHP Notice: add_submenu_page was called <strong>incorrectly</strong>. The seventh parameter passed to <code>add_submenu_page()</code> should be an integer representing menu position.

- [BugFix] Can't update url under copy url field

**version 3.1.2.4, October 23, 2019**

- [Improvement] Disable submit button when submitting (Tab File Access Permission on popup)

- [Improvement] Add the hook pda_before_the_content

- [Improvement] .htaccess rules conflict on Apache 2.4

- [Improvement] Improve text & UI on popup

- [BugFix] PDA Gold: Warning message when turn off allow_url_fopen

- [BugFix] PDA Gold: Get the post id is wrong when 2 files have the nearly same name

- [BugFix] Wrong product IDs replaced when updating plugin version

- [BugFix]  S&R is not working with the query string in URL

- [BugFix] PDA Gold: Warning message in helpers tab and check rewrite rule error

- [Feature] Apply filter pda_file_access_permission 

**version 3.1.2.3, September 19, 2019**

- [Improvement] Config CircleCI to create plugin version & sites for sendowl

- [BugFix] PDA Gold: Fix the first time that you want the event to occur of expired license cron job checking

- [Improvement] PDA Gold: Show warning message when users using plain permalink

- [Improvement] PDA Gold - Check and find the general solution to prevent the XSS issue

- [Improvement] PDA Gold: Consider to unlock cron-job to delete p_expired links

- [Improvement] PDA Gold: Improve typo in pop-up when using PDA-Stats

**version 3.1.2.2, August 16, 2019**

- [BugFix] Display helper tab after checking rewrite rules successfully

- [BugFix] Search & Replace doesn't work if image's name includes size

- [BugFix] PDA Gold: Download_expiry <max value but private links don't work

- [BugFix] PDA Gold: Warning message when _pda has never created

- [BugFix] PDA Gold: "protected" icon issue
    
- [Improvement] Hide "Set default private link" button under popup

- [Improvement] PDA Gold: Should set the maximum number of characters under Prefix option

- [Improvement] PDA Gold: Should not run the_content logic when Gutenberg is using it.

**version 3.1.2.1, August 9, 2019**

- [Improvement] The helper show empty rules while cannot get the server type

- [Improvement] PDA Gold: Improve performance of "the content" hook and handle dflip

- [Improvement] PDA Gold: Remove dev-lib libraries from build files

- [Improvement] PDA Gold: create a private link shortcode for protected files

- [Improvement] PDA Gold: Improve helper screen tab in settings

- [Improvement] PDA Gold: Improve RAW URLs in Setting Page - Block _pda folder feature

**version 3.1.2, May 30, 2019**

- [Improvement] Revamp the_content filter consumption

- [Improvement] Add filter to replace protected links

- [Improvement] Allow dev license working on multi-site

- [Improvement] Consider enable all option except for "Custom roles" on iFAP

- [Improvement] Check if _pda htaccess is working when Raw URL is enabled

- [Improvement] Add a filter before sending file to client for protected links

- [BugFix] Popup disappears when clicking on Download Expiry

- [BugFix] Don't hardcode the plugin path

- [BugFix] _pda folder is looped while using Enable Media Replace plugin

- [BugFix] Auto-create undefined element when clicking on "Copy" button under popup

- [BugFix] PDA Magic Links: can’t display right size if enabling S&R of PDA Gold

- [BugFix] PDA Gold | Magic Links: Confict S&R

- [BugFix] IP Restriction of PDA-Gold is not working in setting

**version 3.1.1.1, May 29, 2019**

- [BugFix] S&R cannot work if the protected files is after the non-protected one

**version 3.1.1.0, May 28, 2019**

- [BugFix] NGINX and PHP-FPM cannot find the function getallheaders 

- [BugFix] Un-comment the code to automatically update PDA Membership Integration and PDA Access Restriction  

**version 3.1.1, May 28, 2019**

- [Improvement] block access to _pda folder when Raw URL option is enabled doesn't work on multisite

- [BugFix] Selected icon disappears under Add Media popup

- [BugFix] "Migrate to ver 3.0" notification when installing plugin

- [BugFix] Roles disappear in current develop branch because of the conflict with Enhance Media Library plugin

- [BugFix] Can't see images in thumbnails and attachment pages when enabling "Keep raw URLs" 

- [BugFix] Search & Replace displays only fullsize with Gutenberg editor

- [BugFix] "Remove Data Upon Uninstall" seem doesn't work at multisite

- [BugFix] All shared options should only appear on main site

- [BugFix] FAP under popup displays wrongly as "No one"

- [BugFix] Block indexing by X-Robots-Tag HTTP header doesn't work with mp3, mp4

- [BugFix] Cookie header override issue

- [BugFix] Can't save if "Protect new file uploads by these user roles only" is enabled

- [BugFix] Display (no title) page under Search & Replace and Customize No Access Page

- [BugFix] Should display General tab after checking .htaccess file successfully

- [BugFix] block access to _pda folder when Raw URL option is enabled doesn't work on multisite

- [Improvement] PDA Gold: Popup improvement

**version 3.1.0, May 6, 2019**

- [Feature] Resolve the coupling between PDA Gold and another extensions  - Architecture

- [Feature] BuddyPress & BbPress extension

- [Feature] Block access to _pda folder when Raw URL option is enabled

**version 3.0.25.5**

_ [BugFix] Prevent direct access section in Add media cannot work in Front End editor

- [BugFix] PDA Gold: Retain the original filename when downloading via Raw URLs

**version 3.0.25.4**

- [Improvement] PDA Gold: Improve function search for "No access page"

- [Improvement] PDA Gold: Improve validation of Custom link under "No Access" Page

- [Improvement] PDA Gold: Should redirect to reviews page when clicking on "Let's do it" button

- [BugFix] PDA Gold: Funny UI bug in Add Media modal

- [BugFix] IP Block: Blacklist these IP addresses not work when IP is format 127.*.*.*

**version 3.0.25.3: March 22, 2019**

- [Feature] PDA Gold: Integrate file protection with PayPal & Mailchimp

**version 3.0.25.2: March 19, 2019**

- [Hotfix] Improve expired private links deletion 

**version 3.0.25.1: March 13, 2019**

- [HotFix] Add patch to check option

**version 3.0.25: March 12, 2019**

- [Feature] Redirect users back to protected files after login 
- [Feature] Allow users to input a custom URL for No Access page 
- [Improvement] Improve Protection Control feature 
- [Improvement] Update UI Settings Page 
- [Bug] Get Lucky button doesn't work  
- [Bug] Private Link Prefix exist character \ or / then private link not work
- [Bug] Should auto-update file URL once file is  protected/unprotected
- [Bug] Migration issues with FAP (Need to release PDA Gold v2 version 2.9.3.5)
- [Bug] Can save invalid link under "No Access Page" option

**version 3.0.24.10: March 4, 2019**

- [HotFix] Fix wp_option logic when saving the boolean

**version 3.0.24.9: March 1, 2019**

- [Improvement] Add hook for PDA Videos to prevent download manager software

**version 3.0.24.8: February 27, 2019** 

- [Improvement] Use wp_option to check data migration

**version 3.0.24.7: February 25, 2019**

- [Hotfix] Logic checking for data migration from version 2.x.x

**version 3.0.24.6: January 22, 2019**

- [Improvement] Using custom function to get mime type

**version 3.0.24.5: January 16, 2019**

- [Feature] Added a public service in PDA Gold to fetch the protected file
- [Feature] PDA Memberships: Separate custom membership from the default FAP dropdown
- [Feature] PDA Gold - IP Block: protect all files on a selected folder

**version 3.0.24.4: December 26, 2018**

- [BugFix] Add debug log for $_SERVER object

**version 3.0.24.3: December 26, 2018**

- [BugFix] Add debug log when streaming the video

**version 3.0.24.2: December 21, 2018**

- [BugFix] Super Administrator cannot apply control protection

**version 3.0.24.1: December 21, 2018**

[BugFix] Fix cannot set default user control protect's value  

**version 3.0.24: December 19th, 2018**

- [Feature] Settings option to specify who can change the file protection
- [Improvement] When the media file is HTML type, the protected or private links should show in the browser. Now it automatically downloads by browser. 
- [Improvement] allow "Choose custom roles & memberships" FAP on "Add Media"
- [Improvement] Change the Protection file component when the file is backing up
- [BugFix] Auto-update unprotected URLs in content - not full file URLs
- [BugFix] The total number of protected and unprotected files isn't equal the number of all files
- [Improvement] Enhance 404 redirection
- [BugFix] iFAP displays as Custom Memberships even though No role is chosen

**version 3.0.23.1: December, 14th, 2018**

- [BugFix] Unprotect files by bulk action does not update the post meta 

**version 3.0.23: December, 7th, 2018**

- [Feature] Auto-activate license on sub-sites
- [Feature] Protect file uploads by user roles does not apply for Super Admin at normal sites
- [Improvement] Choose "Admin users" is default setting of FAP in multisite mode

**version 3.0.22: November, 30th, 2018**

- [Improvement] Better license handling
- [Feature] Add "Protect" button on file actions
- [Feature] Change download links to S3 Signed URLs once synced/offloaded
- [Improvement] Choose "Admin users" is default setting of FAP
- [Improvement] Show warning notification when the PHP's version is lower than 5.5
- [BugFix] PDA Gold: FAP seem doesn't work in multisite mode
- [Improvement] PDA logo in WP menu

**version 3.0.21.5: November 22th, 2018**

- [BugFix] Cannot protect/un-protect from media grid view

**version 3.0.21.4: November 22th, 2018**

- [BugFix] Do not cache for streaming video

**version 3.0.21.3: November 21th, 2018**

- [Improvement] Clear ob flush cache

**version 3.0.21.2: November 16th, 2018**

- [HotFix] Update the background process's name to remove duplication 

**version 3.0.21.1: November 8th, 2018**

- [BugFix] Replace nonce attribute by wp_nonce_field function to fix the bug cannot get the nonce value in chrome (using nonce attribute)

**version 3.0.21: November 6th, 2018**

- [Feature] Auto protect files upload by certain user roles

**version 3.0.20.1: October 29, 2018**

- [BugFix] Cannot get the backup protection when re-activate the plugin

**version 3.0.20: October 26, 2018**

- [Improvement] Add force download option
- [Improvement] Revamp setting UI and file status on media file
- [BugFix] Cannot show some pages or posts

**version 3.0.19.11: October 19, 2018**

- [Improvement] Protected files should have the red shadow borders with other Custom Post Types
- [Improvement] Add hook before running the file status.
- [Improvement] Handle errors  - exception and show the error message to client with PDA S3 Integration

**version 3.0.19.10: October 17, 2018**

- [Hotfix] Integrate with old pda-s3 plugin

**version 3.0.19.9: October 16, 2018**

- [Improvement] Add hook before and after protect file
- [Improvement] When un-protect file, DO NOT unsync file
- [BugFix] Protected files don't have the red shadow borders 
- [BugFix] Private links don't work when Protect Videos extension is enabled
- [Improvement] Showing purchased add-ons on license tab
- [Improvement]Hide File Access Permission (status button and tab) if the file is deleted from Server

**version 3.0.19.8: October 15, 2018**

- [Improvement] Generate pot file

**version 3.0.19.7: October 9, 2018**

- Fix mp3 file private link cannot play

**version 3.0.19.6: October 8, 2018**

- Fix conflict with BB Pagebuilder

- Shared Private Link is still active when the plugin was inactive

- There are more than one default private link

**version 3.0.19.5.1: October 3, 2018**

- Fix bug, protected file returning blank page (https://app.asana.com/0/770983580839219/848525529272467)

**version 3.0.19.5: September 28, 2018**

- When get baseurl using wp_upload_dir need a trick to replace http by https to support the older WP version

- Provide API to integrate with other plugins

- Provide a hook when clicking on private links

**version 3.0.19.4.2: September 28, 2018**

- Hotfix for private links expired after changing expiry date

**version 3.0.19.4.1: September 26, 2018**

- Hotfix for file access permission logic

**version 3.0.19.4: September 25, 2018**

- Replace exiting embedded images/files on the content

- Fix conflicts with WP Media Folder

**version 3.0.19.3.1: September 25, 2018**

- Hotfix for hotlinking rules to get the home url

**version 3.0.19.3**

- Fix the performance issues belonged to filters function

**version 3.0.19.2**

- Improve UI for Shared Private Link

- Fix bug in "Shared Private Link": Download expiry time is different from Created times after editing 

- Inconsistent download expiry's timestamp when editing vs creating custom private links

- Control which files to be auto-protected on "Media" upload - on the fly

**version 3.0.19.1**

- Fix css for metabox 

**version 3.0.19**

- Generate a unique private link for users

- [PDAv3]If user choose the raw options then using the ~/?rest_route=/. instead of /wp-json for WordPress REST API route.

-[PDAv3]Update "none" value in X-Robots-Tag's header

- Re-arrange the settings option for "Enable Debug Log"

- Gold 3.0: integrate File Access Permission into file popup & attachment page 

**version 3.0.18.7**

- Add debug log when handle the private link
 
**version 3.0.18.6**

- Add log log when sending file to client

**version 3.0.18.5**

- Fix filter for protected and unprotected files

- Improve css for "Is it protected?" checkbox

- Update yme-plugin-update-checker library to new version

**version 3.0.18.4**

- Release affiliate program

**version 3.0.18.3**

- Improve logic when migrating whitelist roles options

**version 3.0.18.2**

- Fix 404 page migration issues

**version 3.0.18.1**

- Add example for API

**version 3.0.18**

- Add API documentation to developers using phpDoc 

**version 3.0.17**

- Add quick tour guide

- Add hook to track user's click

- Fix UI bug for PDA Table

- Add hook for Woo setting page

**version 3.0.16.9**

- Fix css missing for metabox in the attachment screen

**version 3.0.16.7**

- Remove expired license checking

**version 3.0.16.6**

- Hot fix for checking license expired, won't parse string to json. Compare directly string to string

**version 3.0.16.5**

- Add quick guide tour

- Add hook to track user's click

- Fix UI bug for PDA Table

**version 3.0.16.5**

- Remove custom body class to prevent the conflict with the popular plugin

**version 3.0.16.4**

- Fix css conflict with the famous plugins: Ninja Form

- Only add our body class for pages and post screen

**version 3.0.16**

- Apply fatal error log

- Add more settings

**version 3.0.15.3**

- Remove array from class constant to support PHP version < 5.6

**version 3.0.15.2**

- Resolve conflict for css class .slider 

**version 3.0.11**

- Add option that user can delete all related data and license data

- Add option that user can use raw redirect links without using .htaccess

- Delete the backup data when un-protect file

- Refactor the setting page code

**version 3.0.10**

- Add status panel for the debugging purpose

- Add UI to show which media file is protected in Media popup

- Optimize the javascript loading 

**version 3.0.9.5**

- Delete all options related to licenses

**version 3.0.9.4**

- Get attachment url by wp_get_attachment_url function instead of guid

**version 3.0.9.2**

- Fix mirror logic to check whether plugin is fully activated

- Add priority to add custom column filters

**version 3.0.9**

- Support membership options inside the individual files

**version 3.0.8.6**

- Improve UI for membership integration UI

**version 3.0.8.5**

- Clear buffer after printing the content

**version 3.0.8.4**

- Hotfix that video can be streamed without the protect videos plugin.

**version 3.0.8**

- Add UI to protect file when adding media under pages/posts

- Add option to turn on/off Block Access to WordPress Information Files and Hide WordPress Version setting

- Add filters in Media Page that can filter protected, un-protected and all files

- Add guides under helpers for Microsoft ISS server

**version 3.0.7**

- Apply automation test when deploying to production and staging

- Show guides in helpers tab in setting if user is using nginx server

- Flush rewrite rules when plugin finished updating

- Add AWS S3 tab if pda-s3 add on is activated

- Integrate with the membership plugin

**version 3.0.6.1**

- Add file access permission in per files popup

**version 3.0.6**

- Block access to license.txt & WP version

- Server video files with partial content if PDA video add on is activated

- Add AWS S3 tab in PDA Gold v3 setting page if pda s3 plugin is activated (https://app.asana.com/0/383837169626397/708823256070198)

- Add filers in Media Page that can  filters with these criteria Protected files, Non protected Files (https://app.asana.com/0/383837169626397/705037056648373)
 
**version 3.0.5**

- Integrate with pda-s3

- Fix robots.txt rules can work on sub directory

**version 3.0.4**

- Fix wrong notification when user do not have data to migrate 

**version 3.0.3.4**

- Fix disable directory list not working

**version 3.0.3.3**

- Fix home_url cannot return https schema (https://app.asana.com/0/383837169626397/705146352884933)

**version 3.0.3.2**

- Improve UI for "File Permission tab" (https://app.asana.com/0/383837169626397/699511369752365)

- Only show default private link and icon when the magic link add-on is activated (https://app.asana.com/0/383837169626397/701217000008811)

- Only 15-sites and Unlimited-site can run on multi-site mode without pda multi-site (https://app.asana.com/0/383837169626397/703583826756658) 

- Integrate User Access Manager add-on (https://app.asana.com/0/383837169626397/701217000008815)

- Fix the bug: The file has not been protected but it still shows the stats in the popup (https://app.asana.com/0/383837169626397/703583826756670)

**version 3.0.3**

- Fix logic to get no access page title 

**version 3.0.2**

- Integrate with IP Block, grant user roles for the specific file

**version 3.0.1**

- Only show helper tab in settings when enabled remote log

- If it's multi-site and license is not unlimited, need to install pda-multisite add-on

- Fix guides in helpers when it's multi-site

- Integrate with pda-magiclink, ip-block and pda-multisite add-on 

**version 3.0.0**

- Protect the file by copying to _pda folders

- Improve the performance

- Remove protection for the file

- Auto-generate a private link

- Create a custom private link

- Delete a private link

- Activate/deactivate a private link

- Count clicks on the private link

- Can set download limit and download validity

- Can copy the private link's url

- Show default place holder image if it's protected

- Can set/un-set protection in attachment's edit mode

- Add no-index meta tag to the page belonged to protected attachment

- Integrate with the IP Block add on


