(function( $ ) {
    'use strict';
    $(function() {
        initAwsConfig();
        $('#is_aws_default').change(function (evt) {
            evt.preventDefault();
            if (this.checked) {
                $('.custom-aws-bucket-input').prop('required', false);
                $('.custom-aws-bucket').addClass("hide-bucket");
                $('.btn-test-aws-configuration').hide();
                $('#submit').show();
            } else {
                $('.custom-aws-bucket-input').prop('required', true);
                $('.custom-aws-bucket').removeClass("hide-bucket");
                $('.btn-test-aws-configuration').show();
                $('#submit').hide();
            }
        })

        function initAwsConfig() {
            if($('#is_aws_default').prop('checked')) {
                $('.custom-aws-bucket-input').prop('required', false);
            } else {
                $('.custom-aws-bucket-input').prop('required', true);
            }
        }

        $('#pda_s3_general_form').submit(function(evt) {
            evt.preventDefault();
            evt.stopImmediatePropagation();
            _updateSettingsGeneral({
                aws_key: $("#aws_key").val(),
                aws_secret: $("#aws_secret").val(),
                bucket: $("#bucket").val(),
                prefix_key: $("#prefix_key").val(),
                region: $("#awsregion").val(),
                is_aws_default: $("#is_aws_default").prop('checked')
            }, function(error) {
                if(error) {
                    console.error(error);
                }
            });
        });

        $('#test-aws-configuration').click(function(evt) {
            evt.preventDefault();
            evt.stopImmediatePropagation();
            _testAwsConfiguration();
        });

        function _testAwsConfiguration() {
            $("#test-aws-configuration").val("Testing...");
            $("#submit").prop("disabled", true);
            $("#test-aws-configuration").prop("disabled", true);
            $.ajax({
                url: protect_video_configuration_data.ajax_url,
                type: 'POST',
                data: {
                    action: 'protect_video_test_configuration',
                    settings: {
                        aws_key: $("#aws_key").val(),
                        aws_secret: $("#aws_secret").val(),
                        bucket: $("#bucket").val(),
                        prefix_key: $("#prefix_key").val(),
                        region: $("#awsregion").val(),
                        is_aws_default: $("#is_aws_default").prop('checked')
                    },
                    security_check: $("#protect_video_nonce").attr('nonce')
                },
                success: function (data) {
                    $("#test-aws-configuration").val("Test connection");
                    $("#submit").prop("disabled", false);
                    $("#test-aws-configuration").prop("disabled", false);
                    if(data) {
                        $("#submit").show();
                        toastr.success('Perfect! Your aws configuration is ok!', 'PDA Protect WordPress Videos');
                    } else {
                        $("#submit").hide();
                        toastr.error('Opps! There is a problem with your aws configuration. Please double check again!', 'PDA Protect WordPress Videos');
                    }
                }
            })

        }

        function _updateSettingsGeneral(settings, cb){
            var _data = {
                action: 'protect_video_update_configuration',
                settings: settings,
                security_check: $("#protect_video_nonce").attr('nonce'),
            }
            $('#summit').val('Submiting');
            $("#submit").prop("disabled", true);
            $.ajax({
                url: protect_video_configuration_data.ajax_url,
                type: 'POST',
                data: _data,
                success: function(data) {
                    $("#submit").prop("disabled", false);
                    if (data == 'invalid_nonce') {
                        alert('No! No! No! Verify Nonce Fails!');
                    } else if(data) {
                        toastr.success('Your settings have been updated successfully!', 'PDA Protect WordPress Videos')
                    } else {
                        console.log("Failed", data);
                    }
                    cb();
                },

                error: function(error) {
                    $("#submit").prop("disabled", false);
                    console.log("Errors", error);
                    cb(error);
                },
                timeout: 5000
            });
        }
    });
})( jQuery );