<?php

if ( !class_exists('Wp_Protect_Video_Configuration') ) {

	/***
	 * Class Wp_Protect_Video_Configuration
	 */
	class Wp_Protect_Video_Configuration {

		public function getAwsConfigs() {
			$settings = $this->validS3Setting();
			
			if ( ! $settings ) {
				return false;
			}
			
			return (object)array(
				'aws_key' => $settings['aws_key'],
				'aws_secret' => $settings['aws_secret'],
				'bucket' => $settings['bucket'],
				'prefix_key' => $settings['prefix_key'],
				'region' => $settings['region'],
				'domain' => ""
			);

		}

		private function validS3Setting() {
			$options = get_option( PWV_Constants::CONFIGURATION_OPTIONS, null );
			if( is_null($options) )
				return false;

			$settings = unserialize( $options );

			if ( ! is_array( $settings) ) {
				return false;
			}

			$keys = ["aws_key", "aws_secret", "bucket", "prefix_key", "region"];
			foreach ($keys as $key) {
				if( ! array_key_exists( $key, $settings ) ) {
					return false;
				}
			}

			return $settings;
		}

		/**
		 * prams : $nameSettings
		 * return bool
		 */
		function getSettings( $nameSettings ) {
			$settings = get_option(PWV_Constants::CONFIGURATION_OPTIONS, null);
			if( ! is_null( $settings ) ) {
				$options = unserialize($settings);
				if ( ! is_array( $options ) ) {
					return false;
				}
				$pdas3_Settings = array_key_exists($nameSettings, $options) ? $options[$nameSettings] : false;
				if ($pdas3_Settings === "true") {
					return true;
				} else {
					return false;
				}
			}
			return false;
		}
	}

}

