<?php
/**
 * Created by PhpStorm.
 * User: gaupoit
 * Date: 5/18/18
 * Time: 15:00
 */

if ( ! class_exists( 'Protect_Ur_Videos_Repository' ) ) {

	class Protect_Ur_Videos_Repository {


        /**
         * Init cache database.
         */
        public static function init_cache_database() {
            global $wpdb;
			$video_link_cached = $wpdb->prefix . 'video_links_cache';
            if ( $wpdb->get_var("SHOW TABLES LIKE '$video_link_cached'") !== $video_link_cached ) {
                error_log('Create cache database');
                $charset_collate = $wpdb->get_charset_collate();
                $sql = "CREATE TABLE $video_link_cached  ( 
                    id varchar(55) primary key, 
                    created_at TIMESTAMP
                ) $charset_collate;";
                require_once ABSPATH . 'wp-admin/includes/upgrade.php';
                dbDelta( $sql );
            }
        }

		/**
         * Is video link cached
         *
         * @param string $link Link
         *
         * @return bool|int
         */
		public static function is_video_link_cached( $link ) {
			global $wpdb;
			$video_link_cached = $wpdb->prefix . 'video_links_cache';
            $sql = $wpdb->prepare( "
                SELECT COUNT(id) FROM {$video_link_cached}
                WHERE id = %s
            ", $link );

            $result = $wpdb->get_var( $sql );

            if( is_null( $result ) ) {
                return false;
            }

            return (int) $result;
		}

		/**
         * Add video link to cache
         *
         * @param string $link Link
         *
         * @return bool|int
         */
		public static function add_video_link_to_cache( $link ) {
			global $wpdb;
			$video_link_cached = $wpdb->prefix . 'video_links_cache';
            $result = $wpdb->insert( $video_link_cached, array( 'id' => $link ) );			
            return $result;
		}

		/**
         * Delete all link cache expired
         *
         * @param string $link Link
         *
         */
		public static function delete_all_cache_link_expired() {
			global $wpdb;
			$video_link_cached = $wpdb->prefix . 'video_links_cache';
			$query_string = "DELETE FROM $video_link_cached WHERE created_at < SUBDATE(NOW(),1)";
		    $wpdb->query($query_string);
		}
    }
}