<?php
/**
 * Created by PhpStorm.
 * User: gaupoit
 * Date: 7/27/18
 * Time: 11:04
 */

if ( ! class_exists( 'PWV_S3_Service' ) ) {
	class PWV_S3_Service {

		private $s3;

		public function __construct() {
			$this->s3 = new Aws_S3_Helper();
		}

		public function upload_to_s3_bucket( $file_url ) {
			$mfl     = get_option( 'puv_mfl' );

			check_ajax_referer( 'pur_nonce', 'security' );

			try {
				$result = $this->s3->upload_to_s3( $file_url );
				update_option( 'puv_mfl', ++ $mfl );
				wp_send_json_success( $result );
			} catch ( Exception $e ) {
				wp_send_json_error( $e->getMessage() );
			}
		}

		public function create_presigned_url( $file_url,  $time_die, $custom_opts = array() ) {
			return $this->s3->create_presigned_url( $file_url, $time_die, $custom_opts );
		}

	}
}
