<?php

if ( ! class_exists( 'PDA_Video_Settings' ) ) {
	/**
	 * Class PDA_Video_Settings
	 */
	class PDA_Video_Settings {
		/**
		 * Render settings UI
		 */
		public function render_ui() {
			$activate_tab = isset( $_GET['tab'] ) ? $_GET['tab'] : "pda_protect_video_setting"; // Input var okay.
			?>
			<div class="wrap">
				<div id="icon-themes" class="icon32"></div>
				<h2><?php esc_html_e( 'PDA Protect WordPress Videos', 'protect-wp-videos' ); ?></h2>
				<div id="pwv-settings"></div>
			</div>
			<?php
		}

		/**
		 * Render activating tab
		 *
		 * @param string $active_tab activating tab.
		 */
		public function render_tabs( $active_tab ) {
			$prefix = PWV_Constants::STATUS_PAGE_VIDEO;
			?>
			<h2 class="nav-tab-wrapper">
				<a href="?page=<?php echo esc_attr( $prefix ); ?>&tab=pda_protect_video_setting"
					class="nav-tab <?php echo 'pda_protect_video_setting' === $active_tab ? 'nav-tab-active' : ''; ?>"><?php esc_html_e( 'Settings', 'wpv-setting' ); ?></a>
                <a href="?page=<?php echo esc_attr( $prefix ); ?>&tab=pda_protect_video_configuration"
                    class="nav-tab <?php echo 'pda_protect_video_configuration' === $active_tab ? 'nav-tab-active' : ''; ?>"><?php esc_html_e( 'AWS Configuration', 'wpv-config' ); ?></a>
			</h2>
			<?php
		}

		/**
		 * Render UI for activating tab
		 *
		 * @param string $active_tab activating tab.
		 */
		public function render_content( $active_tab ) {
			switch ( $active_tab ) {
				case 'pda_protect_video_setting':
					$this->render_setting_videos();
					break;
                case 'pda_protect_video_configuration':
                    $this->render_configuration_videos();
                    break;
			}
		}

		/**
		 * Render settings video UI
		 */
		public function render_setting_videos() {
			?>
			<div class="main_container">
				<form id="pda_protect_video_setting_form">
					<input type="hidden" nonce="<?php echo wp_create_nonce(PWV_Constants::SETTINGS_FORM_NONCE); ?>" id="nonce_pda_protect_video"/>
					<table class="settings_table" cellpadding="8">
						<?php
							include dirname( __FILE__ ) . '/views/view-protect-wp-videos-switch-aws-s3.php';
						?>
					</table>
                    <?php
                        submit_button();
                    ?>
				</form>
			</div>
			<?php
		}

		public function render_configuration_videos() {
            include dirname( __FILE__ ) . '/views/view-protect-wp-videos-configuration.php';
        }
	}
}
