<?php
/**
 * Created by PhpStorm.
 * User: gaupoit
 * Date: 9/18/18
 * Time: 09:49
 */

/**
 * Cron job handler class
 * Class Protect_Ur_Videos_Cronjob_Handler
 */
class Protect_Ur_Videos_Cronjob_Handler {
	
	public static $instance;
	
	public static function get_instance(){
		if( null == self::$instance ) {
			self::$instance = new self();
		}
		return self::$instance;
	}

	/**
	 * PDA_Cronjob_Handler constructor.
	 */
	public function __construct() {
	}
	
	/**
	 * Exec function for Protect_Ur_Videos clear cache link expired
	 */
	public function pwp_clear_expired_cache_link() {
		Protect_Ur_Videos_Repository::delete_all_cache_link_expired();
	}

    /**
     * Schedule delete expired cache link expired cron job
     */
    public function schedule_clear_cache_link_expired() {
        if (! wp_next_scheduled( PWV_Constants::PWP_DELETE_EXPIRED_CACHE_LINK_CRON_JOB_NAME ) ) {
            wp_schedule_event(time(), 'daily', PWV_Constants::PWP_DELETE_EXPIRED_CACHE_LINK_CRON_JOB_NAME );
        }
    }

	/**
	 * Add our custom intervals
	 *
	 * @param $schedules
	 *
	 * @return mixed
	 */
	public function add_custom_intervals( $schedules) {
		$one_month = 2635200;
		$schedules['quarterly'] = array(
			'interval' => $one_month * 4,
			'display' => __('Once Quarterly')
		);
		return $schedules;
	}
}