<?php
$configuration = new Wp_Protect_Video_Configuration();
$settings = get_option( PWV_Constants::CONFIGURATION_OPTIONS );
$aws_key = '';
$aws_secret = '';
$bucket = '';
$prefix_key = '';
$regions = ['us-west-1', 'us-west-2', 'ca-central-1', 'eu-central-1', 'eu-west-1', 'eu-west-2', 'eu-west-3', 'ap-northeast-1', 'ap-northeast-2', 'ap-northeast-3', 'ap-southeast-1', 'ap-southeast-2', 'ap-south-1', 'sa-east-1'];
$region = $regions[0];
if($settings) {
	$options = (!$settings) ? array() : unserialize($settings);
	if ( is_array( $options ) ) {
		if (array_key_exists('aws_key', $options)) {
			$aws_key = $options['aws_key'];
			$aws_secret = $options['aws_secret'];
			$bucket = $options['bucket'];
			$prefix_key = $options['prefix_key'];
		}
		$region = isset( $options['region'] ) ? $options['region'] : $regions[0];
	}
}
?>
<div class="main_container main_container_s3">
	<form id="pda_s3_general_form">
		<input type="hidden" nonce="<?php echo wp_create_nonce(PWV_Constants::PWV_AJAX_NONCE); ?>" id="protect_video_nonce"/>
		<table class="settings_table" cellpadding="8">
<!--			<tr>-->
<!--				<td>Use our Amazon S3 bucket settings</td>-->
<!--				<td>-->
<!--					<label class="pda_switch" for="is_aws_default">-->
<!--						--><?php
//						if($configuration->getSettings('is_aws_default')) {
//							?>
<!--							<input type="checkbox" id="is_aws_default" checked/>-->
<!--							--><?php
//						} else {
//							?>
<!--							<input type="checkbox" id="is_aws_default"/>-->
<!--							--><?php
//						}
//						?>
<!--						<span class="slider round"></span>-->
<!--					</label>-->
<!--				</td>-->
<!--			</tr>-->
			<?php $hide_bucket = $configuration->getSettings('is_aws_default') ? 'hide-bucket' : ''; ?>
			<tr class="custom-aws-bucket <?php echo $hide_bucket; ?>">
				<td>AWS key</td>
				<td><input class="custom-aws-bucket-input" value="<?php echo $aws_key; ?>" id="aws_key" type="text"/></td>
			</tr>
			<tr class="custom-aws-bucket <?php echo $hide_bucket; ?>">
				<td>AWS secret</td>
				<td><input class="custom-aws-bucket-input" value="<?php echo $aws_secret; ?>" id="aws_secret" type="password"/></td>
			</tr>
			<tr class="custom-aws-bucket <?php echo $hide_bucket; ?>">
				<td>Bucket</td>
				<td><input class="custom-aws-bucket-input" value="<?php echo $bucket; ?>" id="bucket" type="text"/></td>
			</tr>
			<tr class="custom-aws-bucket <?php echo $hide_bucket; ?>">
				<td>Bucket's folder</td>
				<td><input class="" value="<?php echo $prefix_key; ?>" id="prefix_key" type="text"/></td>
			</tr>
			<tr class="custom-aws-bucket <?php echo $hide_bucket; ?>">
				<td>Region</td>
				<td>
					<select class="custom-aws-bucket-input" id="awsregion">
						<?php
						foreach ($regions as $r) {
							if($r === $region) {
								echo '<option selected value=' . $r . '>' . $r . '</option>';
							} else {
								echo '<option value=' . $r . '>' . $r . '</option>';
							}
						}
						?>
					</select>
				</td>
			</tr>
		</table>
		<?php
		$hide_btn_save = $hide_bucket == '' ? "hide-btn-save-test" : "";
		$hide_btn_test = $hide_bucket == '' ? "" : "hide-btn-save-test";
		?>
		<div class="aws-btn-group pda-s3-setup-actions">
			<input type="button" value="Test connection" class="button button-default btn-test-aws-configuration btn-main <?php echo $hide_btn_test; ?>" id="test-aws-configuration"/>
			<input type="submit" name="submit" id="submit" class="button button-primary <?php echo $hide_btn_save; ?>" value="Save Changes">
		</div>
	</form>
</div>
