(function (window) {
    var hostname = 'http://integration.ymese.webfactional.com';
    var wpUrl = `${hostname}/wp-json/puv/v1/signed-url`;
    var countErr = 0;
    function handleEvent() {
        var playButton = setInterval(function () {
            if ($('.video-click-to-play-link').length) {
                $('.video-click-to-play-link').click(function () {
                    var $videoPlayer = $('#tscVideoContent-video-div video');
                    var $controls = $('#controls');
                    var currTime = null;
                    var isFirstPlay = true;
                    $('.tsc-io-message').hide();
                    $videoPlayer.on('play', function() {
                        if ( isFirstPlay ) {
                            var $video = $videoPlayer.find('Source:first');
                            generateExpiredLink( window.location.href, getNameFromS3( $video.attr('src') ) )
                                .done(function (cfUrl) {
                                    $videoPlayer.get(0).pause();
                                    $video.attr('src', cfUrl);
                                    $videoPlayer.get(0).load();
                                    playVideo($videoPlayer.get(0).play());
                                    setTimeout( function() {
                                        $controls.css('opacity', '1');
                                    }, 2000);
                                });
                            isFirstPlay = false;
                        }
                    });

                    function playVideo( videoEle, count = 0 ) {
                        const promise = videoEle;
                        if ( count >= 10 ) {
                            return;
                        }
                        if (promise !== undefined) {
                            promise.then(_ => {
                                // Autoplay started!
                            }).catch(error => {
                                playVideo( $videoPlayer.get(0).play(), count++ );
                            });
                        }
                    }

                    $videoPlayer.on('progress', function() {
                        $(this).css('opacity', '1');
                    });
                    $('body').hover(function(){
                        $controls.css('opacity', '1');
                    });
                    $videoPlayer.on('seeking', function (seekTime) {
                        currTime = seekTime.currentTarget.currentTime;
                        console.log(seekTime.currentTarget.currentTime);
                    });
                    $videoPlayer.on('error', function () {
                        if ( countErr >= 10 ) {
                            return ;
                        }
                        countErr++;
                        var $video = $(this).find('Source:first');
                        generateExpiredLink( window.location.href, getNameFromS3( $video.attr('src') ) )
                            .done(function (cfUrl) {
                                $videoPlayer.get(0).pause();
                                $video.attr('src', cfUrl);
                                $videoPlayer.get(0).load();
                                $videoPlayer.get(0).currentTime = currTime;
                                if ( $('.tsc_overlay').length <= 0) {
                                    $videoPlayer.get(0).play();
                                }
                            });
                    });
                });
                clearInterval(playButton);
            }
        }, 100);
    }

    function getNameFromS3( url ) {
        if ( typeof url !== 'string' || url.length <= 0) {
            return ;
        }
        url = url.split('?')[0];
        return url.split('/').pop();
    }

    function generateUrl(url, nameVideo) {
        if ( typeof url !== 'string' || url.length <= 0 ) {
            return false;
        }
        url = url.split('?')[0];
        var pathArray = url.split('/');
        if ( pathArray[pathArray.length - 1].indexOf('.') === -1) {
            return url + '/' + nameVideo;
        }
        pathArray = pathArray.slice(0, -1);
        return pathArray.join('/') + '/' + nameVideo;
    }

    function generateExpiredLink( url, nameVideo ) {
        const urlSigned = generateUrl(url, nameVideo);
        if ( ! urlSigned ) {
            return ;
        }
        var settings = {
            "url": wpUrl,
            "method": "POST",
            "data": {
                "src": urlSigned,
                "id": "pda-s3-videos"
            }
        };

        return $.ajax(settings)
    }
    handleEvent();
}(window));
