const path = require('path');
const MiniCssExtractPlugin = require("mini-css-extract-plugin");

module.exports = {
    context: __dirname,
    entry: {
        'main': './protect-ur-videos-public.js'
    },
    output: {
        path: path.join(__dirname, './dist/'),
        publicPath: './dist/',
        filename: '[name].bundle.js'
    },
    module: {
        rules: [
            {
                test: /\.css$/,
                use: [
                    {
                        loader: MiniCssExtractPlugin.loader,
                        options: {
                            // you can specify a publicPath here
                            // by default it use publicPath in webpackOptions.output
                            publicPath: './dist/'
                        }
                    },
                    "css-loader"
                ]
            }
        ]
    },
    resolve: {
        extensions: ['.js', '.jsx', '.css', '.less'],
    },
    plugins: [
        new MiniCssExtractPlugin({
            path: path.join(__dirname, './dist/'),
            // Options similar to the same options in webpackOptions.output
            // both options are optional
            filename: "[name].css",
            chunkFilename: "[id].css"
        })
    ]
}