<?php

/**
 * Fired during plugin deactivation
 *
 * @link       www.buildwps.com/prevent-direct-access-premium-plugin/?utm_source=user-website&utm_medium=pluginpage&utm_campaign=plugin-author-link
 * @since      1.0.0
 *
 * @package    Wp_Pda_Ip_Block
 * @subpackage Wp_Pda_Ip_Block/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Wp_Pda_Ip_Block
 * @subpackage Wp_Pda_Ip_Block/includes
 * @author     BWPS <hello@ymese.com>
 */
class Wp_Pda_Ip_Block_Deactivator {

    /**
     * Short Description. (use period)
     *
     * Long Description.
     *
     * @since    1.0.0
     */
    public static function deactivate() {
        if ( Yme_Plugin_Utils::is_plugin_activated('pda_gold') === -1 || Yme_Plugin_Utils::is_plugin_activated('pda_v3') === -1 ) {
            sync_file_access_permission_when_deactivated_plugin();
        }
        if ( Yme_Plugin_Utils::is_plugin_activated( 'pap_gold' ) === -1 || Yme_Plugin_Utils::is_plugin_activated( 'pap_gold_old' ) === -1  ) {
	        pda_ar_change_to_default_setting_for_protected_page_post();
        }

        do_action( 'pda_ip_block_handle_after_deactivate' );
    }

}
