<?php
$roles          = get_editable_roles();
$file_access    = get_data_protect_folder_type_is_string( Pda_Ip_Block_Constants::PDA_FAP_FOR_FOLDER_PROTECT );
$class_hidden   = 'custom_roles' === $file_access ? '' : 'pda_hide_custom_roles';
$pda_white_list = get_data_protect_folder_type_is_array( Pda_Ip_Block_Constants::PDA_WHITE_LIST_ROLE_FOLDER_PROTECT );
?>
<tr>
	<td class="feature-input"><span class="feature-input"></span></td>
	<td>
		<p>
			<label><?php echo esc_html__( 'Set File Access Permission', 'prevent-direct-access-gold' ); ?></label>
			<?php echo esc_html__( 'Select user roles who can access the protected files in these folders', 'prevent-direct-access-gold' ); ?>
		</p>
		<select id="pda_fap_for_folder">
			<option value="admin_users"
				<?php
				if ( 'admin_users' === $file_access ) {
					echo 'selected';
				}
				?>
			><?php echo esc_html__( 'Admin users', 'prevent-direct-access-gold' ); ?></option>
			<option value="logged_users"
				<?php
				if ( 'logged_users' === $file_access ) {
					echo 'selected';
				}
				?>
			><?php echo esc_html__( 'Logged-in users', 'prevent-direct-access-gold' ); ?></option>
			<option value="blank"
				<?php
				if ( 'blank' === $file_access ) {
					echo 'selected';
				}
				?>
			><?php echo esc_html__( 'No user roles', 'prevent-direct-access-gold' ); ?></option>
			<option value="custom_roles"
				<?php
				if ( 'custom_roles' === $file_access ) {
					echo 'selected';
				}
				?>
			><?php echo esc_html__( 'Choose custom roles', 'prevent-direct-access-gold' ); ?></option>
		</select>
	</td>
</tr>
<tr id="pda_access_custom_roles" class="<?php echo $class_hidden; ?>">
	<td></td>
	<td><p><?php echo esc_html__( 'Grant access to these user roles only', 'prevent-direct-access-gold' ) ?></p>
		<select multiple="multiple" id="pda_access_custom_roles_select2" class="pda_select2" required>
			<?php foreach ( $roles as $role_name => $role_info ) { ?>
				<option <?php echo in_array( $role_name, $pda_white_list ) ? 'selected="selected"' : ''; ?>
						value="<?php echo esc_attr( $role_name ); ?>"><?php echo esc_html( $role_name ); ?></option>
			<?php } ?>
		</select>
	</td>
</tr>
