<?php
$nginx_rules = $this->services->render_folder_protection_nginx_rules( $folder_selected );
$class_hide  = count( $folder_selected ) > 0 ? '' : 'pda_hide_check_server_nginx';
// $nginx_rules passed from PHP.
$no_rows = 2 * count( $nginx_rules );
?>

<tr id="pda_check_server_is_nginx" class="<?php echo esc_attr( $class_hide ); ?>">
	<td></td>
	<td>
		<i>
		<?php
		echo esc_html__(
			'It looks like you’re using Nginx webserver. Since Nginx does not have .htaccess-type capability, Prevent Direct Access Gold cannot update your server configuration automatically for you. Here’s how you can do it manually:',
			'prevent-direct-access-gold'
		);
		?>
		</i>
		<div class="pda_ip_block_rule_wrapper">
			<i>
			<?php
			echo sprintf(
				/* translators: %s Nginx rules guide URL */
				esc_html__(
					'Update our rewrite rules on your Nginx server %s',
					'prevent-direct-access-gold'
				),
				'<a target="_blank" href="https://preventdirectaccess.com/docs/folder-protection/#nginx">as per this instructions</a>'
			);
			?>
			</i>
			<textarea
					id="pda_rules_nginx"
					class="pda_rules_for_nginx"
					readonly
					rows="<?php echo esc_attr( $no_rows ); ?>"><?php echo esc_attr( implode( "\n", $nginx_rules ) ); ?></textarea>
		</div>
	</td>
</tr>
