<?php
/**
 * Render UI for function protect all file in folder
 *
 * @package    Prevent_Direct_Access_Gold
 * @author     BWPS <hello@preventdirectaccess.com>
 */
$upload_dirs = ip_block_get_dir_under_uploads_path();
$root_dirs   = ip_block_get_dir_under_home_path();
?>
<tr>
	<td class="feature-input"><span class="feature-input"></span></td>
	<td>
		<p>
			<label><?php echo esc_html__( 'Select Folders', 'prevent-direct-access-gold' ); ?></label>
			<?php echo __( 'Only main folders under WordPress root directory or wp-content/uploads with <a target="_blank" href="https://preventdirectaccess.com/docs/folder-protection/">valid name</a> will be displayed', 'prevent-direct-access-gold' ); ?>
		</p>
		<select id="pda_protect_all_file_in_folder" multiple="multiple" class="pda_folder_select2">
			<optgroup label="WordPress Root Directory" id="root">
				<?php foreach ( $root_dirs as $root_dir ) { ?>
					<?php $tmp = '^' . $root_dir; ?>
					<option <?php echo in_array( $tmp, $folder_selected, true ) ? 'selected="selected"' : ''; ?>
							value="^<?php echo esc_attr( $root_dir ); ?>"><?php echo esc_html( $root_dir ); ?></option>
				<?php } ?>
			</optgroup>
			<optgroup label="WordPress Uploads Directory" id="<?php echo esc_attr( $wp_upload_folder ); ?>">
				<?php foreach ( $upload_dirs as $upload_dir ) { ?>
					<option <?php echo in_array( $upload_dir, $folder_selected, true ) ? 'selected="selected"' : ''; ?>
							value="<?php echo esc_attr( $upload_dir ); ?>"><?php echo esc_html( $upload_dir ); ?></option>
				<?php } ?>
			</optgroup>
		</select>
	</td>
</tr>
