<?php
$desc = sprintf(
/* translators: %1$s The guide link */
	__(
		'Grant access to all protected files in the folders above for users <a target="_blank" rel="noopener" href="%s">coming from these referrer links</a>',
		'prevent-direct-access-gold'
	),
	'https://preventdirectaccess.com/docs/grant-protected-folders-access-referrer-links/'
);
?>
<tr>
	<td class="feature-input"><span class="feature-input"></span></td>
	<td>
		<p>
			<label><?php echo esc_html__( 'Allow Referrer Links', 'prevent-direct-access-gold' ); ?>&nbsp;<span
					title="<?php echo esc_html__( 'Save new protected folders before using this feature', 'prevent-direct-access-gold' ); ?>"
					class="dashicons dashicons-warning pda-v3-gold-tooltip"></span></label>
			<?php
			echo wp_kses(
				$desc,
				array(
					'a' => array(
						'href'   => true,
						'target' => true,
						'ref'    => true,
					),
				)
			)
			?>
		</p>
		<div id="pda-ref-app">
			<div class="pda-ref-title">
				<span>Switch folders to set their whitelisted referrer links individually</span>
			</div>
			<div class="pda-ref-content">
				<select
						id="pda-ref-folders"
						v-model="selectedFolder"
						v-on:change="changeFolder"
				>
					<option value="" disabled selected>Select a folder</option>
					<option v-for="conf in configs" :value="conf.folder">
						{{ massageFolder(conf.folder) }}
					</option>
				</select>
				<select
						id="pda-ref-opt"
						v-if="!!selectedFolder"
						:value="selectedConfig.ref.opt"
						v-model="selectedConfig.ref.opt"
						v-on:change="changeRefOpt"
				>
					<option value="disable">Disable referer links</option>
					<option value="all">Allow all referer links</option>
					<option value="custom">Allow specific referrer links</option>
				</select>
			</div>
			<div id="pda-ref-custom-url" class="pda-ref-custom" v-if="'custom' === selectedConfig.ref.opt">
				<p>
					<?php echo esc_html__( 'Input one URL a line. Use the asterisk (*) for wildcard matching.', 'prevent-direct-access-gold' ); ?>
				</p>
				<textarea
						id="pda-ref-custom-val"
						class="pda-ref-custom-val"
						v-model="selectedConfig.ref.values"
						v-on:blur="onBlurRefUrl"
						v-on:input="onInput"
				></textarea>
				<span v-html="errorMessage"></span>
			</div>
		</div>
	</td>
</tr>

