(function($) {
    'use strict';

    $(function () {
        $('#pda_s3_license_form').submit(function (evt) {
            evt.preventDefault();
            var license = $('#pda-s3-license').val();
            _checkLicense(license, function (error) {
                if(error) {
                    console.error(error);
                }
                location.reload();
            });
        });
    });

    function _checkLicense(license, cb) {
        var _data = {
            action: 'pda_s3_license_checking',
            license: license,
            security_check: $("#nonce_pda_s3").attr('nonce'),
        }
        $('#submit').val('Submitting');
        $("#submit").prop("disabled", true);
        $.ajax({
            url: prevent_direct_access_by_s3_license_data.ajax_url,
            type: 'POST',
            data: _data,
            success: function (res) {
                $('#submit').val('Save Changes');
                $("#submit").prop("disabled", false);
                //Do something with the result from server
                if (res == 'invalid_nonce') {
                    alert('No! No! No! Verify Nonce Fails!');
                } else if(res) {
                    console.log("Res", res);
                    //success here
                    if(res.data && res.data.errorMessage) {
                        toastr.error(res.data.errorMessage, 'Prevent Direct Access S3')
                    } else if(res.isError) {
                        toastr.error("Opps! There is something's wrong with plugin API. Please try again or contact plugin owner.", 'Prevent Direct Access S3')
                    } else {
                        console.log("Success", res);
                        toastr.success('Your settings have been updated successfully!', 'Prevent Direct Access S3');
                    }

                } else {
                    console.log("Failed", res);
                }
                cb();
            },
            error: function (error) {
                $("#submit").prop("disabled", false);
                cb(error);
            }

        })
    }
})( jQuery );