(function($) {
    'use strict'
    var ajax_url = pda_s3_setting_data.ajax_url;

    $(function() {

        initAwsConfig();
        if($('.pda-gold-tooltip')) {
            if($('.pda-gold-tooltip').tooltip) {
                $('.pda-gold-tooltip').tooltip({
                    position: {
                        // at: "center top"
                        my: "left bottom-10",
                        at: "left top",
                    }
                });
            }
        }
        $("#logged_in_user").change(function () {
            if (this.checked) {
                $('#grant-access').hide('slow');
            } else {
                $('#grant-access').show('slow');
            }
        });
        
        $('#pda_s3_general_form').submit(function(evt) {
            evt.preventDefault();
            _updateSettingsGeneral({
                aws_key: $("#aws_key").val(),
                aws_secret: $("#aws_secret").val(),
                bucket: $("#bucket").val(),
                prefix_key: $("#prefix_key").val(),
                region: $("#awsregion").val(),
                is_aws_default: $("#is_aws_default").prop('checked')
            }, function(error) {
                if(error) {
                    console.error(error);
                }
            });
        });


        $('#units_times').change(function(){
            var units_times = $('#units_times').val();
            if(units_times == 'days') {
                $("#time_die").attr({
                    "max" : 7,
                    "min" : 1
                });
            }
            if(units_times == 'hours') {
                $("#time_die").attr({
                    "max" : 168,
                    "min" : 1
                });
            }
            if(units_times == 'minutes') {
                $("#time_die").attr({
                    "max" : 10080,
                    "min" : 1
                });
            }
        })
        $("#pdas3_role_select2").select2();
        $('#pda_s3_default_form').submit(function(evt) {
            evt.preventDefault();

            var time_die = $('#time_die').val();
            var units_times = $('#units_times').val();
            if(time_die.length == 0 || parseInt(time_die) <= 0) {
                time_die = '1';
                units_times = 'months';
            }
            
            _updateSettingsGeneral({
                default_public: $("#set_default_public").prop('checked'),
                time_die_private_link: time_die + ' ' + units_times,
                auto_synced: $("#set_auto_synced").prop('checked'),
                enable_remote_log: $("#enable_remote_log").prop('checked'),
                logged_in_user: $("#logged_in_user").prop('checked'),
                directory_listing: $("#directory_listing").prop('checked'),
                block_search_index: $("#block_search_index").prop('checked'),
                list_roles: $("#pdas3_role_select2").val(),
                prevent_hotlinking: $("#prevent_hotlinking").prop('checked'),
                pda_gold_search: $("#pda_search_page_404_input").val(),
            }, function(error) {
                if(error) {
                    console.error(error);
                }
                // location.reload(true);
            });
        });

        $('.btn-test').click(function(evt) {
            evt.preventDefault();
            _testAwsConfiguration();
        });

        $(".custom-aws-bucket-input").each(function(key) {
            $(this).change(function() {
                $('.btn-test').show('slow');
                $('#submit').hide('slow');
            });
        });

        $('#is_aws_default').change(function(evt) {
            evt.preventDefault();
            if(this.checked) {
               $('.custom-aws-bucket-input').prop('required', false);
               $('.custom-aws-bucket').hide('slow');
                $('.btn-test').hide('slow');
                $('#submit').show('slow');
            } else {
               $('.custom-aws-bucket-input').prop('required', true);
               $('.custom-aws-bucket').show('slow');
                $('.btn-test').show('slow');
                $('#submit').hide('slow');
            }
        })
    });

    function initAwsConfig() {
        if($('#is_aws_default').prop('checked')) {
            $('.custom-aws-bucket-input').prop('required', false);
            $('.custom-aws-bucket').hide('slow');
            $('.btn-test').hide('slow');
            $('#submit').show('slow');
        } else {
            $('.custom-aws-bucket-input').prop('required', true);
            $('.custom-aws-bucket').show('slow');
            $('.btn-test').show('slow');

        }
    }
    
    function _updateSettingsGeneral(settings, cb){
        var _data = {
            action: 'pda_s3_update_general_settings',
            settings: settings,
            security_check: $("#nonce_pda_s3").attr('nonce'),
        }
        $('#summit').val('Submiting');
        $("#submit").prop("disabled", true);
        $.ajax({
            // url: pda_s3_settings_general_data.ajax_url,
            url: ajax_url,
            type: 'POST',
            data: _data,
            success: function(data) {
                $("#submit").prop("disabled", false);
                //Do something with the result from server
                if (data == 'invalid_nonce') {
                    alert('No! No! No! Verify Nonce Fails!');
                } else if(data) {
                    //success here
                    console.log("Success", data);
                    toastr.success('Your settings have been updated successfully!', 'Prevent Direct Access S3')
                } else {
                    console.log("Failed", data);
                }
                cb();
            },

            error: function(error) {
                $("#submit").prop("disabled", false);
                console.log("Errors", error);
                cb(error);
            },
            timeout: 5000
        });
    }

    function _testAwsConfiguration() {
        $("#test-aws-configuration").val("Testing...");
        $("#submit").prop("disabled", true);
        $("#test-aws-configuration").prop("disabled", true);
        $.ajax({
            url: ajax_url,
            type: 'POST',
            data: {
                action: 'pda_s3_test_configuration',
                settings: {
                    aws_key: $("#aws_key").val(),
                    aws_secret: $("#aws_secret").val(),
                    bucket: $("#bucket").val(),
                    prefix_key: $("#prefix_key").val(),
                    region: $("#awsregion").val(),
                    is_aws_default: $("#is_aws_default").prop('checked')
                },
                security_check: $("#nonce_pda_s3").attr('nonce')
            },
            success: function (data) {
                $("#test-aws-configuration").val("Test connection");
                $("#submit").prop("disabled", false);
                $("#test-aws-configuration").prop("disabled", false);
                if(data) {
                    $("#submit").show('slow');
                    toastr.success('Perfect! Your aws configuration is ok!', 'Prevent Direct Access S3');
                } else {
                    $("#submit").hide('slow');
                    toastr.error('Opps! There is a problem with your aws configuration. Please double check again!', 'Prevent Direct Access S3');
                }
            }
        })

    }

})(jQuery);