<?php

/**
 * Fired during plugin activation
 *
 * @link       https://preventdirectaccess.com/
 * @since      1.0.0
 *
 * @package    Prevent_Direct_Access_By_S3
 * @subpackage Prevent_Direct_Access_By_S3/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Prevent_Direct_Access_By_S3
 * @subpackage Prevent_Direct_Access_By_S3/includes
 * @author     BWPS <hello@preventdirectaccess.com>
 */
class Prevent_Direct_Access_By_S3_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
	    if(Yme_Htaccess::htaccess_writable() === true) {
			flush_rewrite_rules();
		}
        update_option(PdaS3Constants::WIZARD_REDIRECT_OPTION, true);

        if (!wp_next_scheduled('pda_s3_cron_le_hook')) {
            wp_schedule_event(time(), 'pda_s3_check_license_expired', 'pda_s3_cron_le_hook');
        }
	}

}
