<?php
class Pda_S3_Db {
    public static function create_table() {
        PDA_S3_DB::create_table_prevent_direct_access_by_s3();
        PDA_S3_DB::update_tbl_pda_by_s3_v1_1();
        PDA_S3_DB::create_table_prevent_direct_access_by_s3_info();
    }

    private static function create_table_prevent_direct_access_by_s3_info() {
        global $wpdb;
        $jal_db_version = '1.0';

        $table_name = $wpdb->prefix . 'prevent_direct_access_by_s3_info';
        if ( $wpdb->get_var( "SHOW TABLES LIKE '$table_name'" ) != $table_name ) {
            //table is not created. you may create the table here.
            $charset_collate = $wpdb->get_charset_collate();

            $sql = "CREATE TABLE $table_name (
	    	ID mediumint(9) NOT NULL AUTO_INCREMENT,
	    	post_id mediumint(9) NOT NULL,	      
	    	created_time bigint(20) NULL DEFAULT NULL,
            s3_link varchar(2000) DEFAULT '' NOT NULL,
            is_public tinyint(1) DEFAULT 1,
	    	UNIQUE KEY id (id)
	    ) $charset_collate;";

            require_once ABSPATH . 'wp-admin/includes/upgrade.php';
            dbDelta($sql);
            add_option(PdaS3Constants::PDAS3_DB_OPTIONS, $jal_db_version);
        }
    }

    private static function update_tbl_pda_by_s3_v1_1() {
        $current_db_version = get_option( PdaS3Constants::PDAS3_DB_OPTIONS );
        if($current_db_version === '1.0') {
            global $wpdb;
            $table_name = $wpdb->prefix . 'prevent_direct_access_by_s3';
            $charset_collate = $wpdb->get_charset_collate();
            $sql = "CREATE TABLE $table_name (
		    	  is_default tinyint(1) NULL DEFAULT 0
		        ) $charset_collate;";
            require_once ABSPATH . 'wp-admin/includes/upgrade.php';
            dbDelta( $sql );
            $db_version = '1.1';
            update_option(PdaS3Constants::PDAS3_DB_OPTIONS, $db_version);
        }
        if($current_db_version === '1.1') {
            global $wpdb;
            $table_name = $wpdb->prefix . 'prevent_direct_access_by_s3';
            $charset_collate = $wpdb->get_charset_collate();
            $sql = "CREATE TABLE $table_name (
		    	  pretty_url varchar(2000) NULL DEFAULT '',
		        ) $charset_collate;";
            require_once ABSPATH . 'wp-admin/includes/upgrade.php';
            dbDelta( $sql );
            $db_version = '1.2';
            update_option(PdaS3Constants::PDAS3_DB_OPTIONS, $db_version);
        }
    }

    private static function create_table_prevent_direct_access_by_s3() {
        global $wpdb;
        $jal_db_version = '1.0';

        $table_name = $wpdb->prefix . 'prevent_direct_access_by_s3';
        if ( $wpdb->get_var( "SHOW TABLES LIKE '$table_name'" ) != $table_name ) {
            //table is not created. you may create the table here.
            $charset_collate = $wpdb->get_charset_collate();

            $sql = "CREATE TABLE $table_name (
	    	ID mediumint(9) NOT NULL AUTO_INCREMENT,
	    	post_id mediumint(9) NOT NULL,	      
	    	created_time bigint(20) NULL DEFAULT NULL,
            signed_url varchar(2000) DEFAULT '' NOT NULL,
            expired_time_stamp bigint(20) NULL DEFAULT NULL,
	    	UNIQUE KEY id (id)
	    ) $charset_collate;";

            require_once ABSPATH . 'wp-admin/includes/upgrade.php';
            dbDelta($sql);
            add_option('jal_db_version_pda_s3', $jal_db_version);
        }
    }
}