<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://preventdirectaccess.com/
 * @since      1.0.0
 *
 * @package    Prevent_Direct_Access_By_S3
 * @subpackage Prevent_Direct_Access_By_S3/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Prevent_Direct_Access_By_S3
 * @subpackage Prevent_Direct_Access_By_S3/includes
 * @author     BWPS <hello@preventdirectaccess.com>
 */
class Prevent_Direct_Access_By_S3_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
        $timestamp = wp_next_scheduled('pda_s3_cron_le_hook');
        wp_unschedule_event($timestamp, 'pda_s3_cron_le_hook');
	}

}
