<?php

if(!class_exists('PDA_WPS3_Settings') ) {
    class PDA_WPS3_Settings{

        public function render_ui() {
            $license = Yme_Plugin::getLicenseKey('pda-s3');
            $inValidLicense = empty($license);
            $default_tab = $inValidLicense ? "license" : "";
            ?>
            <div class="wrap">
                <div id="icon-themes" class="icon32"></div>
                <h2><?php _e('Prevent Direct Access S3', 'pda-s3-setting'); ?></h2>
                <?php
                $activate_tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
                $this->render_tabs( $activate_tab );
                $this->render_content( $activate_tab );
                ?>
            </div>
            <?php
        }

        private function render_tabs($active_tab) {
            $license = Yme_Plugin::getLicenseKey('pda-s3');
            $inValidLicense = !empty($license);
            ?>
            <h2 class="nav-tab-wrapper">
                <?php
                if(!$inValidLicense) {
                    ?>
                    <a href="?page=wp_pdas3_options&tab=license" class="nav-tab <?php echo $active_tab == 'license' ? 'nav-tab-active' : ''; ?>"><?php _e('License', 'ppp-setting'); ?></a>
                    <?php
                }
                if($inValidLicense) {
                   ?>
                    <a href="?page=wp_pdas3_options&tab=aws_configuration" class="nav-tab <?php echo $active_tab == 'aws_configuration' ? 'nav-tab-active' : ''; ?>"><?php _e('AWS Configuration', 'pda-s3'); ?></a>
                    <a href="?page=wp_pdas3_options&tab=default_public" class="nav-tab <?php echo $active_tab == 'default_public' ? 'nav-tab-active' : ''; ?>"><?php _e('Settings', 'pda-s3'); ?></a>
                    <a href="?page=wp_pdas3_options&tab=ipblock" class="nav-tab <?php echo $active_tab == 'ipblock' ? 'nav-tab-active' : ''; ?>"><?php _e('IP Restriction', 'pda-s3'); ?></a>

                    <?php if (Yme_Plugin_Utils::is_plugin_activated('magic_link') == -1) { ?>
                        <a href="?page=wp_pdas3_options&tab=magic_link" class="nav-tab <?php echo $active_tab == 'magic_link' ? 'nav-tab-active' : ''; ?>"><?php _e('Magic Links', 'pda-s3'); ?></a>
                    <?php } ?>
<!--                    <a href="?page=wp_pdas3_options&tab=general" class="nav-tab --><?php //echo $active_tab == 'general' ? 'nav-tab-active' : ''; ?><!--">--><?php //_e('Amazon S3 Account', 'pda-s3'); ?><!--</a>-->
                    <a href="?page=wp_pdas3_options&tab=license" class="nav-tab <?php echo $active_tab == 'license' ? 'nav-tab-active' : ''; ?>"><?php _e('License', 'pda-s3'); ?></a>
                    <?php
                }
                ?>
            </h2>
            <?php
        }

        private function render_content( $active_tab ) {
            require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/class-prevent-direct-access-by-s3-setting-widgets.php';
            $widgets = new PDA_S3_Setting_Widgets();
            switch ($active_tab) {
                case 'aws_configuration':
                    $widgets->render_general_tab();
                    break;
                case 'default_public':
                    $widgets->render_default_public_tab();
                    break;
                case 'license':
                    $widgets->render_license_tab();
                    break;
                case 'ipblock':
                    $widgets->render_ipblock_tab();
                    break;
                case 'magic_link':
                    $widgets->render_magic_link_tab();
                    break;
                default:
                    $widgets->render_general_tab();
                    break;
            }
        }
    }
}