<?php
    class WPS3_UTILS {

        private $aws_helper;

        private $repository;

        function __construct()
        {
            $this->aws_helper = new Aws_Helper();
            $this->repository = new PDA_S3_Repository();
        }

        public function sync_file_to_S3( $id ) {
            $filePath = get_attached_file($id);
            if( is_file( $filePath ) ) {
                $isFileExisted = $this->aws_helper->isFileExisted($filePath);
                if($isFileExisted) {
                    return true;
                }
                if( $this->check_file_size( $filePath ) ) {
                    $settings = get_option('pdas3_options');
                    $is_public_default = false;
                    if($settings) {
                        $options = (!$settings) ? array() : unserialize($settings);
                        if(array_key_exists('default_public', $options)) {
                            $default_public = $options['default_public'];

                            $is_public_default = $default_public == "true" ? false : true;
                        }
                    }
//                      $is_public_default = true;
                    $s3_link = $this->aws_helper->putFile( $filePath, $is_public_default);
                    if( !empty( $s3_link )) {
                        $this->repository->insert_s3_info($id, array(
                            's3_link' => $s3_link,
                            'is_public' => $is_public_default,
                        ));
                    }
                    //Ensure the $wp_rewrite global is loaded
                    $writable = Yme_Htaccess::htaccess_writable();
                    if($writable === true) {
                        flush_rewrite_rules();
                    }
                    return $s3_link;
                }
            }
            return false;
        }

        /**
         * Check file size for reading to upload
         * @param $filename
         *
         * @return bool
         */
        public function check_file_size ( $filename ) {
            $file_size = '314572800';
            $actualSize = filesize($filename);
            return $actualSize <= $file_size;
        }
    }