<?php
/**
 * Created by PhpStorm.
 * User: gaupoit
 * Date: 4/26/18
 * Time: 15:41
 */

if (!defined('ABSPATH')) die('You do not have sufficient permissions to access this file.');

if ( !class_exists('WPS3_Htaccess') ) {

    class WPS3_Htaccess {

        protected $settings_logger;

        public function __construct()
        {
            $this->settings_logger = new PDA_S3_Settings_Util() ;
        }
        function generate_rules($links) {
            $massaged_links = array_map(function($link) {
                $pattern = $this->get_origninal_url( $link->post_id );
                if(empty($pattern)) {
                    return "";
                }
                $original_url = str_replace( site_url() . '/', "", $pattern );
                $s3_link = html_entity_decode(urldecode($link->s3_link));
                $cond = $this->generate_cond();
                return $cond . "RewriteRule $original_url$ $s3_link [R=301,NE,L]";
            }, $links);
            $non_empty_links = array_filter($massaged_links, function($link) {
                return !empty($link);
            });

            $newRules = array_reduce($non_empty_links, function($link, $item) {
                return $link . PHP_EOL . $item;
            });


            return $newRules;
        }

        private function get_origninal_url( $post_id ) {
            $url = wp_get_attachment_url($post_id);
            if($url === false) {
                return "";
            }
            if(wp_attachment_is_image($post_id)) {
                /**
                 * massage url to handle file size
                 * Eg: abc-150x150.png
                 */
                $tmp = explode('.', $url);
                $file_type = end($tmp);
                $pattern = "(-\d+x\d+){0,1}.$file_type";
                $original_url = str_replace('.' . $file_type, $pattern, $url);
            } else {
                $original_url = $url;
            }
            return $original_url;
        }

        function generate_cond() {
            $logged_in_user =$this->settings_logger->getSettings('logged_in_user');
            if($logged_in_user === true) {
                $rules = "RewriteCond %{HTTP_COOKIE} !^.*wordpress_logged_in.*$ [NC]" . PHP_EOL;
            } else {
                $rules = "RewriteCond %{HTTP_COOKIE} !^.*wppdas3_can_edit_post.*$ [NC]" . PHP_EOL;
            }      
            return $rules;
        }
    }
}