<?php
/**
 * Created by PhpStorm.
 * User: gaupoit
 * Date: 5/9/18
 * Time: 10:37
 */

$settings_utils = new PDA_S3_Settings_Util();
$settings = get_option('pdas3_options');
$aws_key = '';
$aws_secret = '';
$bucket = '';
$prefix_key = '';
$regions = ['us-west-1', 'us-west-2', 'ca-central-1', 'eu-central-1', 'eu-west-1', 'eu-west-2', 'eu-west-3', 'ap-northeast-1', 'ap-northeast-2', 'ap-northeast-3', 'ap-southeast-1', 'ap-southeast-2', 'ap-south-1', 'sa-east-1'];
$region = $regions[0];
if($settings) {
    $options = (!$settings) ? array() : unserialize($settings);
    if(array_key_exists('aws_key', $options)) {
        $aws_key =  $options['aws_key'];
        $aws_secret =  $options['aws_secret'];
        $bucket =  $options['bucket'];
        $prefix_key =  $options['prefix_key'];
    }
    $region = $settings_utils->getSettings('region') === false ? $regions[0] : $settings_utils->getSettings('region');
}

?>
    <div class="main_container">
        <form id="pda_s3_general_form">
            <input type="hidden" nonce="<?php echo wp_create_nonce('pda_ajax_nonce_s3'); ?>" id="nonce_pda_s3"/>
            <table class="settings_table" cellpadding="8">
                <tr>
                    <td>Use default bucket setting</td>
                    <td>
                        <label class="pda_switch" for="is_aws_default">
                            <?php
                            if($settings_utils->getSettings('is_aws_default')) {
                                ?>
                                <input type="checkbox" id="is_aws_default" checked/>
                                <?php
                            } else {
                                ?>
                                <input type="checkbox" id="is_aws_default"/>
                                <?php
                            }
                            ?>
                            <span class="slider round"></span>
                        </label>
                    </td>
                </tr>
                <tr class="custom-aws-bucket">
                    <td>AWS key</td>
                    <td><input class="custom-aws-bucket-input" value="<?php echo $aws_key; ?>" id="aws_key" type="text"/></td>
                </tr>
                <tr class="custom-aws-bucket">
                <td>AWS secret</td>
                    <td><input class="custom-aws-bucket-input" value="<?php echo $aws_secret; ?>" id="aws_secret" type="password"/></td>
                </tr>
                <tr class="custom-aws-bucket">
                    <td>Bucket</td>
                    <td><input class="custom-aws-bucket-input" value="<?php echo $bucket; ?>" id="bucket" type="text"/></td>
                </tr>
                <tr class="custom-aws-bucket">
                    <td>Bucket's folder</td>
                    <td><input class="custom-aws-bucket-input" value="<?php echo $prefix_key; ?>" id="prefix_key" type="text"/></td>
                </tr>
                <tr class="custom-aws-bucket">
                    <td>Region</td>
                    <td>
                        <select class="custom-aws-bucket-input" id="awsregion">
                            <?php
                            foreach ($regions as $r) {
                                if($r === $region) {
                                    echo '<option selected value=' . $r . '>' . $r . '</option>';
                                } else {
                                    echo '<option value=' . $r . '>' . $r . '</option>';
                                }
                            }
                            ?>
                        </select>
                    </td>
                </tr>
            </table>
            <div class="aws-btn-group pda-s3-setup-actions">
                <input type="button" value="Test connection" class="button button-default btn-test btn-main" id="test-aws-configuration"/>
                <input style="display: none" type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes">
                <?php do_action('pda-s3-setup-actions') ?>
            </div>
        </form>
    </div>
<?php
